/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2008 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window','.jsMath','||!',1,'.','jsMath.','loaded','){var ','jsMath_old','=',1,2,';',0,'document.','getElementById','||!',15,'childNodes||!',15,'createElement','){','alert("','The',' mathematics ','on this page requires W3C DOM support in its JavaScript. Unfortunately, your ','browser',' doesn\'t seem to have this.")}else{',1,2,'={version:"3.6a",document:document,',1,':',1,',','platform',':(','navigator.',36,'.match(/','Mac/)?"mac":',38,36,40,'Win/)?"pc":"unix"),','sizes',':[50,60,70,85,100,120,144,173,207,249],styles:{".math','":{"font-family":"serif","font-style":"normal","font-weight":"normal','"},".typeset',48,'","line-height":"normal','","text-indent":"0px','"},".typeset .','normal',48,'"},"div','.typeset','":{"text-align":"','center",margin:"1em 0px"},"span',57,58,'left',49,' span',58,'left",border',':"0px",margin:"0px','",padding',':"0px"},"a .typeset img, .typeset a img','":{border:"0px','","border-bottom":"','1px solid',' blue;"},".typeset .size0','":{"font-size":"','50','%"},".typeset .','size1',74,'60',76,'size2',74,'70',76,'size3',74,'85',76,'size4',74,'100',76,'size5',74,'120',76,'size6',74,'144',76,'size7',74,'173',76,'size8',74,'207',76,'size9',74,'249',76,'cmr10','":{"font-family":"jsMath-',113,', serif',53,'cmbx10',114,118,', ','jsMath-cmr10',53,'cmti10',114,124,', ',122,53,'cmmi10',114,130,53,'cmsy10',114,134,53,'cmex10',114,138,53,'textit','":{"font-family":"','serif","','font-style":"italic',53,'textbf',143,'serif","font-weight":"bold',53,'link":{"','text-decoration":"none',53,'error',74,'90%","',145,'","background-color','":"#FFFFCC',68,':"1px','",border:"',72,' #CC0000',53,'blank','":{display:"','inline-block','",overflow:"','hidden',162,'0px none",width:"0px",height:"0px',53,'spacer',167,168,'"},"#','jsMath_hiddenSpan":{','visibility:"hidden",position:"absolute",','top:"0px",left:"0px',51,52,177,'jsMath_message','":{position:"fixed",bottom:"','1px",left:"2px',158,'":"#E6E6E6','",border:"solid 1px #959595",margin:"0px",padding:"','1px 8px','","z-index":"','102','",color:"black","font-size":"','small",width:"auto','"},"#jsMath_panel',185,'1.75em",right:"1.5em',68,':".8em 1.6em',158,'":"#DDDDDD',162,'outset 2px',191,'103",','width:"auto',193,'10pt","font-style":"',54,195,' .disabled":{color:"#888888',195,' .infoLink',74,'85%"},"#jsMath_panel *":{"','font-size":"inherit","font-style":"inherit","font-family":"inherit',51,195,' div":{"','background-color":"inherit",color:"inherit"},"#jsMath_panel ','span":{"',220,'td',70,68,67,'","',220,'tr',70,68,67,'","',220,'table',70,68,67,158,'":"inherit",color:"inherit",height:"auto",',206,177,'jsMath_button',185,'1px",right:"2px',158,'":"white',189,'0px 3px 1px 3px',191,'102",color:"black","',152,'","font-size":"x-',194,'",cursor:"hand"},"#',243,' *":{padding:"0px",border',67,51,'","',216,177,'jsMath_global":{"',145,177,'jsMath_noFont',' .message":{"text-align":"center",padding:".8em 1.6em",border:"3px solid #DD0000","background-color":"#FFF8F8",color:"#AA0000","font-size":"',194,177,'jsMath_noFont .link":{padding:"0px 5px 2px 5px',162,'2px outset',158,'":"#E8E8E8',193,'80%",',206,255,'jsMath_PrintWarning',267,'x-',194,'"},"@media print":{"#',243,167,'none',177,'jsMath_Warning',167,'none"}},"@media screen":{"#',279,167,'none"}}},Element',':function(','A','){return ',6,15,16,'("jsMath_"+A)},','BBoxFor',294,'A','){this.','hidden.innerHTML','=\'<nobr><','span class="','typeset"><',307,'scale">\'+A+"</span></span></nobr>";var B={w:this.',170,'.offsetWidth',',h:this.',170,'.offsetHeight','};this.',305,'="";return B},EmBoxFor',294,'B){var A=',6,'Global.cache.R;if(!A[this.em]){A[this.em]={}}if(!A[this.em][B]){var C=this.BBoxFor(B);','A[this.em][B]={w:C.w/this.em,h:C.h/this.em}}return A[this.em][B]},','EmBoxForItalics',294,320,6,322,'if(B.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){C.w=C.Mw=','this.BBoxFor','(B+',6,'Browser.','italicString',').w-',6,333,'italicCorrection','}',323,'Init',':function(){','if(',6,'Setup.inited','!=1){',0,6,345,'){',6,'Setup.','Body()}if(',6,345,'!=1){if(',6,345,'==-100','){return }',23,'It looks like jsMath failed to set up properly (error code "+',6,345,'+").  I will try to keep going, but it could get ugly.");',6,345,'=1}}this.em=this.CurrentEm();','var A=',6,'Global.cache','.B;',0,'A[this.em]){A[this.em]={};','A[this.em].','bb=',330,'("x");var C=',375,'bb.h;',375,'d=',330,'("x"+',6,'HTML.Rule(1,','C/',6,'em)).h-C;if(',6,333,334,'){',375,'ic=',6,301,'(',6,333,334,').w}}',6,333,338,'=',375,'ic;var F=',375,'bb;var D=F.h;var E=',375,'d;this.h=(D-E)/this.em;this.d=E/this.em;this.hd=this.h+','this.d;this.',352,'TeXfonts','();var B=this.EmBoxFor(\'<',307,113,'">M</span>\').w/2;this.TeX.M_height=B*(26/14);this.TeX.h=this.h;this.TeX.d=',413,'TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',304,352,'Sizes','();this.','Img.UpdateFonts()}this.p_height=(','this.TeX.cmex10[0].','h+',429,'d)/0.85;',423,'=1},ReInit',342,'if(this.','em!=this.CurrentEm()){this.Init()}},CurrentEm',342,369,330,'(\'<span style="\'+',6,333,'block+\';','width:13em;height:1em','"></span>\').','w/13;if(A>0',296,'A}return ',330,'(\'<img src="\'+',6,166,'+\'" style="',445,'"/>\').w/13},Loaded',342,'if(',9,8,'B=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var A=0;A<','B','.length;A++){','if(',9,'[B[A]]){','delete ',9,'[B[A]]}}}if(',9,304,'Insert(jsMath,',9,')}',9,'=null;',6,7,'=1},Add',294,'C,A){for(var B in A){','C[B]=A[B]}},Insert',294,482,'if(C[B]&&typeof (A[B])=="object"&&(','typeof (C[B])=="','object"||',487,'function")){this.Insert(C[B],A[B])}else{C[B]=A[B]}}},Package',294,'B,A',304,'Insert(B.prototype,A)}};',6,'Global={isLocal:1,cache:{','T:{},D:{},R:{},B',':{}},ClearCache',342,6,371,'={',497,':{}}},GoGlobal',294,320,'String(',6,1,'.','location);var C','=(',6,'isCHMmode','?"#":"?");if(B){A=A.replace(/\\?.*/,"")+"?"+B}',6,'Controls.','Reload(',6,'root+"jsMath-','global.html"+C+escape(A))},Init',342,'if(',6,'Controls.cookie.','global=="always"&&!',6,'noGoGlobal','){if(',38,'accentColorName',360,0,6,1,'){',6,1,'=',1,'}',6,517,7,'=1;',6,517,'defaults.hiddenGlobal=null;this.GoGlobal(',6,517,'SetCookie(2))}},Register',342,369,6,1,'.parent;',0,6,'isCHMode){',6,514,'=(',6,1,'.','location.','protocol=="mk:")}try{',0,6,514,304,'Domain()}if(A',2,'&&A.',6,'isGlobal){A.',6,'Register(',6,1,')}}catch(B){',6,528,'=1}},Domain',342,'if(',38,'appName=="Microsoft Internet Explorer"&&',6,36,'=="mac"&&',38,'userProfile','!=null',360,'if(',1,'==parent',360,'var B=',6,15,'domain',';try{while(true){try{if(parent.',15,'title',594,'){return }}','catch(A){}',0,15,603,'.match(/\\..*\\./)){break}',6,15,603,'=',6,15,603,'.replace(/^[^.]*\\./,"")}}',609,6,15,603,'=B}};',6,'Script={request:null,Init',342,'if(!(',6,525,'asynch&&',6,525,'progress',')){if(',1,'.XMLHttpRequest','){try{','this.request','=new XMLHttpRequest}catch(C){}if(',641,'&&',6,'root.match','(/^file:\\/\\//)){try{',641,'.open("GET",',6,'root+"',6,'js",false);',641,'.send(null)}catch(','C){',641,'=null;if(',1,'.postMessage&&',1,'.addEventListener',304,'mustPost','=1;',6,1,662,'("message",',6,'Post.','Listener,false)}}}}',0,641,'&&',1,'.ActiveXObject&&!this.',664,8,'A=["MSXML2.XMLHTTP.5','.0","MSXML2.XMLHTTP','.4',681,'.3',681,'","Microsoft.XMLHTTP"];','for(var B=0;B<','A.length&&!',641,';B++){try{',641,'=new ActiveXObject(A[B])}catch(C){}}}}',0,641,'||',6,352,'domainChanged',304,'Load=this.delayedLoad;this.needsBody=1}},Load',294,'B,A){','if(A){',6,'Message.Set("Loading "+','B);',6,'Script.','Delay(1);',6,'Script.Push(','this,"xmlRequest",B',');',6,711,6,'Message',',"Clear")}else{',6,711,712,')}},xmlRequest',294,'url){','this.blocking','=1;try{',641,649,'url,false);',641,655,'err){',725,'=0;if(',6,'Translate.','restart&&',6,'Translate.asynchronous){return""}throw"jsMath can\'t load the file \'"+url+"\'\\','nMessage: "+err.message}if(',641,'.status',594,'&&(',641,742,'>=400||',641,742,'<0)){',725,'=0;if(',6,736,'restart&&',6,739,'nError status: "+',641,742,'}',0,'url','.match(/\\.js$/)){','return(',641,'.responseText',')}var tmpQueue','=this.queue;this.queue','=[];',6,1,'.eval(',641,767,');',725,'=0;','this.queue=this.queue.concat(','tmpQueue);this.Process();return""},cancelTimeout:30*1000,blocking:0,cancelTimer:null,needsBody:0,queue:[],Synchronize',294,'A,B){','if(typeof (','A)!="string"){',6,711,'null,A,B',')}else{',6,711,6,1,',"eval",A)}},Push',294,'A,C,B',304,'queue[','this.queue.length',']=[A,C,B];if(!(',725,'||(this.needsBody&&!',6,15,'body))){this.Process()}},Process',342,'while(',798,'&&!',725,8,'C=this.queue[0];this.queue=this.queue.slice(1);',369,'this.SaveQueue();var B=C[0];var E=C[1];var D=C[2];if(B){B[E](D',788,'if(E){E(D)}}this.','RestoreQueue','(A)}},SaveQueue',342,'var A',769,'=[];return A},',816,294,'A){',779,'A)},delayedLoad',294,'A',304,'Push(','this,"','startLoad','",A)},',832,294,'A',8,'B=',6,15,21,'("iframe");','B.style.','visibility="','hidden";',843,'position="absolute";',843,'width="0px";B','.style.height="','0px";if(',6,15,'body.firstChild','){',6,15,'body.insertBefore(B,',6,15,854,788,6,15,'body','.appendChild(','B)}',725,'=1;this.','url=A;if(A','.substr(0,',6,'root.length',')==',6,'root){A=A.substr(',6,873,')}',6,705,'A);this.cancelTimer=setTimeout("',6,708,'cancelLoad','()",this.cancelTimeout);',436,664,'){B.src=',6,671,832,'(A,B',788,'if(A',764,'B.src=',6,520,'loader.html"}else{B.src=this.url}}},','endLoad',294,'A){if(this.cancelTimer){clearTimeout(this.cancelTimer);this.cancelTimer=null}',6,671,901,'();',6,717,'.Clear();if(A!="cancel"){',725,'=0;this.Process','()}},Start',342,'this.tmpQueue',769,'=[]},End',342,779,915,');',468,915,'},',885,294,'B,',903,'if(B==null){B','="Can\'t load file"}if(A==null){A=2000}',6,717,'.Set(B);setTimeout(\'',6,708,901,'("cancel")\',A)},Delay',294,'A){',725,'=1;setTimeout("',6,708,'endDelay','()",A)},',944,342,725,912,'()},','imageCount',':0,WaitForImage',294,'B){',725,869,951,'++;',436,'img==null',304,'img=[]}',369,'new Image',427,'img[this.img.length]=A;A.onload=function(){if(--',6,708,951,'==0){',6,708,944,'()}};A.onerror=A.onload;A.onabort=A.onload;A.src=B},Uncompress',294,'data){for(var k=0;k<data.length;k++){var d=data[k];var n=d.length;for(var i=0;i<n;i++){',783,'d[i])=="number"){d[i]=d[d[i]]}}data[k]=d.join("")}',1,773,'data.join(""))}};',6,'Post={',1,':null,Listener',294,'D){if(D.source!=',6,671,1,360,'var E=D.origin','.replace(/^file:\\/\\//,"");',369,15,603,993,'if(E==null||E==""){E','="localhost"}if(','A==null||A==""){A',999,'E!=A||!','D.data.substr(','0,6).match(/jsM(CP|LD):/)){return }var B=',1003,'6,3).replace(/ /g,"");var C=',1003,'10);if(',6,'Post.Commands[B',']){(',6,1010,'])(C)}},Commands:{SCR',294,'message){',6,1,773,'message)},ERR',294,'A){',6,708,885,'(A,3000)},BGN',294,'A){',6,708,'Start()},END',294,'A){',703,6,708,'End()}',6,708,901,'()}},',832,294,'A,B',304,1,'=B.contentWindow;',0,'A',764,'return ',6,'root+',449,6,520,'loader-post.html?"+A},',901,342,'this.',1,'=null}};',6,717,'={',166,':null,message:null,text:null,clear:null,Init',342,0,6,15,'body||!',6,525,636,360,'if(',6,352,'stylesReady){','this.message','=',6,'Setup.DIV("','message",{visibility:"',170,'"},',6,'fixedDiv',788,1081,'=',6,1084,'message",{',179,'bottom:"',186,'",','backgroundColor',':"#E6E6E6',189,190,'",zIndex:102,color:"black",fontSize:"',194,'"},',6,1089,')}','this.text','=',6,15,'createTextNode','("");',1081,866,1110,');',1081,'.onmousedown=',6,736,'Cancel},Set',294,702,'if(this.clear){clearTimeout(this.clear',');this.clear=null}if(',6,525,636,'){',0,1110,304,'Init();',0,1110,608,'if(',6,333,'textNodeBug','){',1081,'.innerHTML','=B','}else{',1110,'.nodeValue','=B}','this.message.style.',844,'visible";',703,1152,'cursor="pointer','";',0,1152,'cursor){',1152,'cursor="hand"}',1081,'.title=" Cancel Processing of Math "}else{',1152,'cursor="";',1081,'.title=""}}else{if(B',871,'8)!="Loading "){',6,1,742,'=B}}},Clear',342,1127,')}this.clear=setTimeout("',6,717,'.doClear()",1000)},doClear',342,436,'clear',304,'clear=null;',6,1,742,'="";',436,'text){',1110,1150,'=""}if(',1081,'){',1152,844,170,'"}}},Blank',342,436,166,'||!',6,15,'body',360,'this.blank','=',6,1084,166,'",{position',':(',6,333,'msiePositionFixedBug','?"absolute":"fixed"),',180,'",bottom:"0px",right:"0px",zIndex:101,',1100,':"white"},',6,1089,');if(',6,333,'msieBlankBug){',1210,1146,'="&nbsp;";',1210,'.style.width="110%";',1210,850,'110%"}},UnBlank',342,436,166,'){',6,15,'body.removeChild(',1210,')}',1210,'=null}};',6,'Setup={',7,':[],DIV',294,'E,C,B){',929,'=',6,15,'body}var D=',6,15,21,'("div");D.id="jsMath_"+E;','for(var A in C){','D.style[A]=C[A]}',0,'B.hasChildNodes){B',866,'D',788,'B.insertBefore(D,','B.firstChild',')}return D},Script',294,702,436,7,'[B]){return }else{this.',7,'[B]=1}',0,'B.match("^([a-zA-Z]+:/?)?/")){B=',6,'root+B}',6,708,'Load(B,A)},Hidden',342,6,170,'=this.DIV("Hidden",{',179,'top:0,left:0,border:0,padding:0,margin:0});',6,'hiddenTop=',6,170,';return },Source',342,'if(',6,'Autoload','&&',6,1303,'.root){',6,'root=',6,1303,'.','root}else{',6,'root="";',369,6,15,'getElementsByTagName("','script");',703,687,'A.','length;B++){','var D=A[B].src;if(D&&D.match("(^|/|\\\\\\\\)',6,'js$")){',6,1309,'D.replace','(/',6,'js$/,"");break}}}}if(',6,'root.charAt(','0)=="\\\\"){',6,1309,6,'root.replace','(/\\\\/g,"/")}if(',6,1335,'0)=="/"){if(',6,1335,'1)!="/"){if(',6,15,566,'port){',6,'root=":"+',6,15,566,'port+',6,'root}',6,'root="//"+',6,15,566,'host+',6,1359,6,1309,6,15,566,'protocol+',6,1313,0,6,646,'(/^[a-z]+:/i)){var D=','new String(',6,15,511,'=new RegExp("/[^/]*/\\\\.\\\\./");',6,1309,1330,'(new RegExp("[^/]*$"),"")+',6,'root;while(',6,646,'(C)){',6,1309,6,1340,'(C,"/")}}}',6,'Img.',1309,6,651,'fonts/";',6,166,'=',6,651,166,'.gif";this.Domain()},Domain',342,'try{',6,15,603,'}catch(D',360,'var C="";',369,6,15,603,';if(',6,646,'("://([^/]*)/")){C=RegExp.$1}C=C.replace(/:\\d+$/,"");if(C==""||C==A',360,'if(',38,'appName=="Microsoft Internet Explorer"&&',6,36,'=="mac"&&',38,'onLine&&',38,593,'&&',6,15,'all',360,'C=C.split(/\\./);A=A.split(/\\./);if(C.length<2||A.length<2||','C[C.length-','1',']!=A[A.length-','1]||',1445,'2',1447,'2]){this.','DomainWarning','();return }var E=',1445,'2]+"."+',1445,'1];for(var B=3;B<=C.length&&B<=A.',1324,'if(',1445,'B',1447,'B]){break}E=',1445,'B]+"."+E}',6,15,603,'=E;this.',698,'=1},',1453,342,23,'In order for jsMath to be able to load the additional components that it may need, the ',6,'js file must be ',7,' from a server in the same ',603,' as the page that contains it.  Because that is not the case for this page, the',25,'displayed here may not appear correctly.")},','EncodeFont',294,'C',8,'B=',6,'TeX[C];if(B','[0].c',594,360,462,'128;A++){var D=B[A];B[A]=D[3];if(B[A]==null){B[A]={}}B[A].w=D[0];B[A].h=D[1];if(D[2]!=null){B[A].d=D[2]}B[A].c=',6,'TeX.encoding[A]}},Fonts',342,687,6,'TeX.fam','.',1324,369,6,1502,'[B];if(A',304,1485,'(A)}}},TeXfont',294,'C',8,'B=',6,1491,'==null',360,369,6,'EmBoxFor(\'<span class="\'+C+\'">\'+B[65].c','+"</span>");B.hd=A.h;B.dh=0.05;B.d=',6,1522,'+',6,386,'B.hd)+"</span>").h-B.hd;B.h=B.hd-B.d;if(C=="',130,'"){B.skewchar=','127','}else{if(','C=="',134,1531,'48}}},',415,342,462,6,1502,464,'if(',6,1502,'[A]){this.TeXfont(',6,1502,'[A])}}},Sizes',342,6,'TeXparams','=[];var B;var A;for(A=0;A<',6,46,464,6,1553,'[A]={}}for(B in ',6,'TeX){',783,6,'TeX[B])!="object"){for(A=0;A<',6,46,464,6,1553,'[A][B]=',6,46,'[A]*',6,'TeX[B]/100}}}},Styles',294,'A){',0,'A){A=',6,'styles;A[".typeset .scale"]={"font-size":',6,525,'scale+"%"};this.stylesReady=1}',6,711,831,'AddStyleSheet','",A);if(',6,333,'styleChangeDelay','){',6,711,6,'Script,"Delay",1)}},StyleString',294,'E',8,'A={},F;for(F in E){if(typeof E[F]==="string"){A[F]=E[F]}else{if(F',871,'1)==="@"){A[F]=','this.StyleString(','E[F])}else{if(E[F]!=null',8,'D=[];for(var C in E[F]){if(E[F][C]!=null){D[D.length]=C+": "+E[F][C]}}A[F]=D.join("; ")}}}}var B="";for(F in A){B+=F+" {"+A[F]+"}\\n"}return B},',1589,294,'D',8,'B=',6,15,1319,'head")[0];',369,1605,'D);if(',6,15,'createStyleSheet){B.insertAdjacentHTML("beforeEnd",\'<','span style="display:','none">x</span><style type="text/css">\'+A+"</style>")}else{var C=',6,15,21,'("style");C.type="text/css";C',866,6,15,1114,'(A));B',866,'C)}},Body',342,436,'inited',360,'this.inited=-','1;',6,352,'Hidden();',1641,'2;',6,333,1136,1641,'3;if(',6,525,166,'){',6,717,'.Blank()}',1641,'4;',6,352,'Styles();',1641,'5;',6,517,1136,1641,'6;',6,711,6,'Setup,"User","pre-font");',1641,'7;',6,711,6,'Font,"Check");if(',6,'Font.register.length){',6,711,6,'Font,"LoadRegistered")}this.inited=1},User',294,'A){if(',6,'Setup.UserEvent[A',']){(',6,1691,'])()}},UserEvent:{"pre-font":null,onload:null}};',6,'Update={',415,294,'D){for(var A in D){for(var B in D[A]){for(var C in D[A][B]){',6,'TeX[A][B][C]=D[A][B][C]}}}},TeXfontCodes',294,'C){',1265,687,'C[A].',1324,6,'TeX[A][B].c=C[A][B]}}}};',6,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,','separateSkips',':0,valignBug:0,operaHiddenFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",msieSpaceFix:"",imgScale:1,renameOK:1,',1593,':0,delay:1,version:0,','TestSpanHeight',342,6,305,'=\'<span><','span style="\'+this.block','+\';height:2em;width:','1px"></span></span>\';var B=',6,'hidden.firstChild;',369,1273,';this.','spanHeightVaries','=(B',315,'>=A',315,'&&B',315,'>0);','this.spanHeightTooBig','=(B',315,'>A',315,');',6,305,'=""},','TestInlineBlock',342,'this.block="display',':-','moz-inline-box";','this.hasInlineBlock','=',6,'BBoxFor(\'<span style="\'+this.block','+\';width:10px;height:5px"></span>\').w>0;if','(',1756,'){',6,'styles[".typeset',' .',166,'"].display="-',1755,468,6,1765,' .spacer"].display',1148,1753,':',168,'";',1756,'=',6,1759,1760,'(!',1756,608,'this.block+=";overflow:',845,369,6,301,'("x").h;this.mozInlineBlockBug=',6,1759,'+";height:"+A+\'px;width:1px','"></span>x','<',1726,'+";height:"+A+"px;width:1px;vertical-align:-"+A+\'px',446,'h>2*A;this.widthAddsBorder=',6,1759,'+\';overflow:',170,';height:1px;width:10px',';border-left:','10px solid',446,'w>10;','this.msieBorderBug','=',6,1759,1795,1796,'\').h!=',6,1759,1795,1807,72,1796,'\').h;','this.blankWidthBug=',1811,'||',6,1759,1727,'0px',446,'h==0},','TestRenameOK',342,6,305,'="<span></span>";',369,6,1730,'A.setAttribute("name","','jsMath_test','");this.renameOK=(',6,15,'getElementsByName("',1843,'").length>0);',6,305,1750,'TestStyleChange',342,6,305,'=\'<span ID="',1843,'">x</span>\';var B=',6,1730,369,'B',312,';',6,352,1589,'({"#',1843,'":"font-size:200%"});this.',1593,'=(B',312,'==A);',6,305,1750,'VersionAtLeast',294,320,1380,'this.version).split(".");B=',1380,'B).split(".");if(B[1]==null){B[1]="0"}return A[0]>B[0]||(A[0]==B[0]&&A[1]>=B[1])},Init',342,6,27,'="unknown";this.',1751,427,1721,427,1834,427,1853,427,'MSIE',427,'Mozilla',427,'Opera',427,'OmniWeb',427,'Safari',427,'Konqueror();if(','this.allowAbsoluteDelim','){',6,'Box.DelimExtend=',6,'Box.DelimExtendAbsolute;',6,'Box.Layout=',6,'Box.LayoutAbsolute',1148,6,'Box.DelimExtend=',6,'Box.DelimExtendRelative;',6,'Box.Layout=',6,'Box.LayoutRelative}',436,1713,'){',6,'HTML.Place=',6,'HTML.','PlaceSeparateSkips',';',6,'Typeset.prototype.','Place=',6,1938,1935,'}},MSIE',342,436,1734,'&&!',1742,'){',6,27,'="MSIE";if(',6,36,'=="pc"){this.','IE7=(',1,639,594,');','this.quirks','=(',6,15,'compatMode=="BackCompat");this.msieStandard6=!',1961,'&&!this.IE7;',1909,869,1713,'=1',';this.buttonCheck=1;this.','msieBlankBug=1;this.','msieAccentBug',869,'msieRelativeClipBug','=1;this.msieDivWidthBug=1;this.',1219,869,'msieIntegralBug',869,'waitForImages',869,'msieAlphaBug','=!this.IE7;this.','alphaPrintBug',1985,1715,'="position:relative; ";this.',1717,'=" display:',168,';";this.msieTeXfontBaselineBug=!',1961,';',1811,'=',1825,'1;this.msieSpaceFix=\'<',1624,168,'"></span>\';',6,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',6,'Parser.prototype.mathchardef.','mapstocharOrig','=',6,2006,'mapstochar;',468,6,2006,2011,6,'Macro("mapstochar","\\\\rlap{\\\\',2007,'\\\\,}\\\\kern1mu"),',6,1765,' .arial"]={"font-family":"\'Arial unicode MS\'"};',0,'this.IE7||',1961,'){',6,'styles["#jsMath_message"].',847,468,6,2028,'width;',6,'styles["#jsMath_panel"].',847,468,6,2035,'width;',6,'styles["#jsMath_button"].','width="1px";',6,2042,847,468,6,2042,'width;',6,1089,'=',6,1084,1089,1215,':"absolute",zIndex:101});',6,1,'.attachEvent("','onscroll",',6,'Controls.MoveButton',');',6,1,2061,'onresize",',6,2064,');',6,2064,'()}',6,'styles["#jsMath_noFont .link"].','display="',168,'";',468,6,1765,1773,';',6,'styles[".tex2math_div','"]={};',6,'Add(',6,2087,'"],',6,'styles["div',57,'"]);',6,2087,'"].width="100%";',6,2087,'"].',2078,168,'";',6,1765,'"]["letter-spacing"]="0";if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',2110,'!=',2112,304,'imgScale*=',2112,'/',2110,';',6,525,'alpha=0}this.',334,'="<i>x</i>";',6,'EmBoxFor=',6,324,1533,6,36,'=="mac"){this.msieAbsoluteBug',869,'msieButtonBug',1977,1973,'quirks=1;',6,'Setup.Script("jsMath-','msie-mac.js");',6,'Parser.prototype.macros.angle=["Replace","ord",\'<font face="Symbol">&#x8B;</font>\',"',54,'"];',6,2035,'width="42em";',6,525,'printwarn=0}}',6,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}")}},',1900,342,'if(',6,170,'.ATTRIBUTE_NODE){',6,27,'="',1900,'";if(',6,36,1955,1986,'=1}',1909,'=1;',6,2042,'cursor=',6,2077,1157,'",',6,2155,'/}}");if(',38,'vendor=="Firefox"){','this.version=',38,'vendorSub',1533,38,'userAgent.match','(" Firefox/([0-9.]+)([a-z ]|$)")){',2187,'RegExp.$1}}',436,1879,'("3.0")){this.mozImageSizeBug=1}}},',1904,342,'if(',38,'accentColorName){',6,27,'="',1904,'";','this.allowAbsolute','=',1756,';',1909,'=',2209,';this.valignBug=!',2209,1972,1143,'=1;',6,'noChangeGlobal=1;',0,1756,'){',6,2142,'old-browsers.js','")}}},Opera',342,'if(',1742,'){',6,27,'="Opera";var B=',38,2192,'("Opera 7");',2209,'=0;this.delay=10;this.operaHiddenFix="[Processing]";if(B){',6,2142,2228,'")}',369,38,'appVersion.match(/^(\\d+\\.\\d+)/);',703,2187,'A[1]}else{this.vesion=0}this.operaAbsoluteWidthBug=this.operaL'],
  ['ineHeightBug=(A[1]>=9.5)}},Safari',':function(){','if(navigator.','appVersion.match(/Safari\\//)){','jsMath.','browser','="Safari";','var A=','navigator.userAgent.match','("Safari/([0-9]+)");A=(A)?A[1]:400;this.version=A;','for(var B=0;B<',4,'TeX.fam','.length',';B++){','if(',4,12,'[B]&&',4,'TeX[',4,12,'[B]]){',4,20,4,12,'[B]].dh=0.1}}',4,'TeX.axis_height+=0.05;',4,'TeX.','default_rule_thickness','+=0.025',';this.allowAbsoluteDelim=','A>=125;this.safariIFRAMEbug=A>=312&&A<412;this.safariButtonBug=A<412;this.safariImgBug=1;this.textNodeBug=1;this.buttonCheck=A<500;this.styleChangeDelay=1}},','Konqueror',1,2,'product&&navigator.product.match("',37,'")){',4,5,'="',37,'";this.allowAbsolute=0',35,'0;if(',8,'(/',37,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){this.separateSkips=1;this.valignBug=1;',4,'Setup.Script("jsMath-','old-browsers.js")}}',4,'Add(',4,'styles,{".typeset .cmr10','":"font-family: jsMath-','cmr10',', jsMath ','cmr10, serif','",".typeset .','cmbx10',61,66,63,66,', jsMath-cmr10, jsMath cmr10",".typeset .','cmti10',61,72,63,72,71,'cmmi10',61,78,63,78,65,'cmsy10',61,84,63,84,65,'cmex10',61,'cmex10, jsMath cmex10','"});',4,'Font.testFont','="jsMath','-',92,'"}}};',4,'Font={testFont:"jsMath-cmex10",','fallback',':"symbol",register:[],message:"<b>No jsMath TeX fonts found</b> -- using',' image fonts instead','.<br/>\\nThese',' may be slow and might not print well.<br/>\\nUse the jsMath control panel to get additional information','.",','extra_message',':\'Extra TeX fonts not found: <b><span id="jsMath_ExtraFonts"></span></b><br/>Using',104,'.  This',106,'.\',','print_message',':"To print higher-resolution math symbols, click the<br/>\\n<b>Hi-Res Fonts for Printing</b> button on',' the jsMath control panel.<br/>\\n",','alpha_message',':"If the math symbols print as black boxes, turn off <b>image alpha channels</b><br/>\\nusing the <B>Options</B> pane of',116,'Test1',':function(','C',',F,D,E){if(F==null){F=124}if(D==null){D=2}if(E==null){E=""}var B=jsMath.BBoxFor(\'<span style="font-family: \'+E+C+\', serif">\'+jsMath.TeX[C][F].c+"</span>");var A=jsMath.BBoxFor(\'<span style="font-family: serif">\'+jsMath.TeX[C][F].c+"</span>");return','(B.w>D*A.w&&B.h!=0)},Test2',121,'C',123,'(A.w>D*B.w&&B.h!=0)},CheckTeX',1,7,4,'BBoxFor(\'<span style="font-family',': \'+',4,95,'+\', serif">\'+',4,'TeX.cmex10[1','].c+"</span>");',4,'nofonts=((A.w*3>A.h||A.h==0)&&!this.Test1("cmr10','",null,null,"jsMath-"));if(!',4,'nofonts){','return }if(',4,5,'!="Mozilla"||(',4,'platform','=="mac"&&(!',4,'Browser.VersionAtLeast(','1.5)||',4,153,'3)))||(',4,150,'!="mac"&&!',4,153,'3))){A=',4,132,': CMEX10, serif">\'+',4,'TeX.cmex10[1',139,4,141,'"));if(!',4,144,4,55,'BaKoMa-fonts.js")}}},Check',1,7,4,'Controls.','cookie;this.CheckTeX();if(',4,144,'if(A.autofont','||A','.font=="tex"){','A.font=this.',102,';if(A.warn){',4,'nofontMessage=1;A.warn=0;',4,181,'SetCookie(0);if','(',4,'window.NoFontMessage','){',4,198,'()}else{','this.Message(this.','message)}}}}else{',185,'){A.font="tex"}if(A',187,'return }}if(',4,'noImgFonts){','A.font="unicode"}if(A','.font=="unicode','"){',4,55,102,'-"+',4,150,'+".js");',4,'Box.TeXnonfallback=',4,'Box.TeX',';',4,224,'=',4,'Box.TeXfallback;return }','if(!A.print&&A.printwarn){this.','PrintMessage','((',4,'Browser.','alphaPrintBug&&',4,181,'cookie.alpha)?this.',114,'+this.',117,':this.',114,')}if(',4,235,'waitForImages){',4,'Script.','Push(',4,'Script,"WaitForImage",',4,'blank)}if(A.font=="symbol"){',4,55,102,'-symbols.js");',4,'Box.TeXnonfallback=',4,224,';',4,224,'=',4,230,4,'Img.SetFont','({cmr10',':["all"],',78,273,84,273,'cmex10',273,66,273,72,':["all"]});',4,'Img.LoadFont','("cm-fonts")},Message',121,'A){if(',4,'Element("Warning',42,'return }var ','B=',4,'Setup.DIV("','Warning','",{});B.innerHTML=\'<center><table><tr><td><div ','id="jsMath_noFont"><div ','class="message">\'+A','+\'<div style="text-align:left"><span style="float:left; margin: 8px 0px 0px 20px"><span onclick="',4,181,'Panel()" ','title=" Open ','the ','jsMath Control Panel',' " class="link">',306,'</span></span','><span style="margin: 8px 20px 0px 0px; float:right"><span onclick="',4,'Font.','HideMessage','()" title=" Remove this font warning message',307,'Hide this Message',309,'></div><div style="height:6px"></div><br clear="all"/></div></','div><div style="width:22em; height:1px"></div></td></tr></table></center><hr/>\'},',313,1,7,4,290,'");if(A','){A.style.display="none"}},',232,121,288,4,'Element("','PrintWarning',42,292,'B=',4,295,332,297,299,'+\'</',319,'Register',121,'H,B){if(typeof (H)=="string"){H={name:H}}if(!',4,'Setup.inited','&&!B){','this.register','[',349,13,']=H;',292,'I=H.name;',7,'I.replace(/10$/,"");var F=',4,12,13,';if(H.prefix==null){H.prefix=""}if(!H.style){H.style="font-family: "+H.prefix+I+", serif"}if(!H.styles){H.styles={}}if(!H.macros){H.macros={}}',4,12,'[F]=I;',4,'TeX.famName[I]=F;H.macros[A]=["HandleFont",F];',4,58,4,'Parser.prototype.macros,H.macros);H.styles[".typeset ."+I]=H.style;',4,'Setup.Styles(H.styles);if(',4,'initialized){',4,250,'Push(',4,'Setup,"TeXfont",I)}var C=',4,181,'cookie;var E=!',4,'nofonts&&H.test(I,H.testChar,H.testFactor,H.prefix);if(E&&C',187,'if(H.tex){H.tex(I,F,H)}return }if(!E&&C.warn&&C.font=="tex"&&!',4,144,'if(!C.fonts.match("/"+I+"/")){C.fonts+=I+"/";',4,181,195,'(!',4,290,42,203,108,')}var G=',4,331,'ExtraFonts");if(G){if(G','.innerHTML','!=""){G',403,'+=","}G',403,'+=" "+H.prefix+I}}}if(C',212,'"||',4,210,'if(H.',102,'){H.',102,'(I,F,H)}',292,'D={};if(C.font=="symbol"&&H.symbol!=null){D[I]=H.symbol(I,F,H)}else{D[I]=["all"]}',4,271,'(D);',4,285,'(I);if(',4,'initialized){',4,250,'Push(',4,'Img,"Scale");',4,250,'Push(',4,'Img,"UpdateFonts")}},LoadRegistered',1,7,'0;while(A<',349,13,'){this.Register(',349,'[A++],1)}',349,'=[]},Load',121,'A){',4,'Setup.Script(this.URL(A))},URL',121,'A){','return ',4,'Img.root+A+"/def.js"}};',4,'Controls={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,fonts:"/",printwarn:1,stayhires:0,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D",global:"auto",hiddenGlobal:1},cookiePath:"/",','noCookiePattern',':/^(file|mk):$/,Init',1,'this.panel=',4,295,'panel",{display:"none"},',4,'fixedDiv);','if(!',4,235,'msieButtonBug){this.Button',202,'setTimeout("',4,181,'Button()",500)}},Panel',1,4,'Translate.Cancel();if(this.loaded){this.Main',202,4,250,'delayedLoad(',4,'root+"jsMath-controls.html")}},Button',1,7,4,295,'button",{},',4,467,'A.',304,306,' ";A',403,'=\'<span onclick="',4,181,'Panel()">jsMath</span>\';if(!',4,'Global.','isLocal&&!',4,'noShowGlobal){A',403,'+=\'<span id="jsMath_global" ',304,'jsMath Global Panel " onclick="',4,503,'Show(1)">Global&nbsp;</span>\'}if(A.offsetWidth<30){A.style.width="auto"}if(!','this.cookie','.button',326,'MoveButton',1,4,'fixedDiv.style.','left','=document.body.','scrollLeft+"px";',4,520,'top',522,'scrollTop+"px";',4,520,'width',522,'clientWidth+"px";',4,520,'height',522,'clientHeight+"px"},GetCookie',1,'if(','this.defaults','==null){',541,'={}}',4,58,541,',',514,');this.userSet={};var C=',4,'document.cookie',';if(',4,'window.location','.protocol.match(this.',459,')){C=this.','localGetCookie','();','this.isLocalCookie','=1}if(','C.match(/jsMath','=([^;]+)/)){var D=unescape(RegExp.$1).split(/,/);',10,'D',13,14,7,'D[B].match(/(.*):(.*)/);if(A[2].match(/^\\d+$/)){A[2]=1*A[2]}',514,'[A[1]]=A[2];this.userSet[A[1]]=1}}},',559,1,454,4,555,'.search.substr(1)},SetCookie',121,'F){var B=[];for(var E in ',514,'){if(',541,'[E]==null||',514,'[E]!=',541,'[E]){B[B',13,']=E+":"+',514,'[E]}}B=B.join(",");if(',561,'){if(F==2){return"','jsMath="+escape(B)}','this.','localSetCookie','(B,F)}else{B=escape(B);if(B==""){F=0}if(','this.cookiePath','){B+="; path="+',599,'}if(','this.cookieDomain','){B+="; domain="+',603,'}if(',514,'.keep!="0D"){var A={D',':1000*60*60*24',',W',609,'*7,M',609,'*30,Y',609,'*365};var D=new Date;D.setTime(D.getTime()+',514,'.keep.substr(','0,1)*A[',514,618,'1,1)]);B+="; expires="+D.toGMTString()}if(B!=""){',4,552,96,'="+B;var C=',4,552,';if(F&&!',563,'=/)){alert("Cookies must be enabled in order to save jsMath options")}}}',454,'null},',597,121,'B,C){if(!C){return }',7,'String(',4,555,').replace(/\\?.*/,"");if(B!=""){A+="?',595,'if(A!=',4,555,'.href){this.Reload(A)}},Reload',121,'A){if(!this.loaded){return }this.loaded=0;',4,347,'=-100;',4,503,'ClearCache();if(A){',4,555,'.replace(A)}else{',4,555,'.reload()}}};',4,'Click={CheckClick',121,'A){if(!A){A=',4,'window.event}if','(A.altKey){',4,181,'Panel()}},CheckDblClick',121,'B){if(!B){B=',4,666,'(!',4,'Click.DblClick){',4,'Extension.Require("double-click",1);',7,'B;B={};for(var C in A){B[C]=A[C]}}',4,250,'Push(',4,'Click,"DblClick",[B,this.alt])}};',4,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,',33,':0.06,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","',78,'","',84,'","cmex10","',72,'","","',66,'",""],famName:{cmr10:0,',78,':1,',84,':2,cmex10:3,',72,':4,',66,':6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',707,'778',707,'694',707,'667',707,'75',707,'722',707,'778',707,'722',707,'778',707,'722',707,'583',',0.694,0,{ic:0.0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.556',',0.694],[0.','556',731,'833',731,'833',731,'278',',0.431],[0.','306',',0.431,0.194],[0.','5',731,'5',731,'5,0.628],[0.5',731,'5,0.568],[0.75',731,'444,0,0.17],[0.5',731,'722',739,'778',739,'5,0.528,0.0972],[0.903,0.683],[1.01',707,'778,0.732,0.0486],[0.278',',0.431,0,{','krn:{"108":-0.278,"76":-0.319}}],[0.278',',0.694,0,{','lig:{"96":','60}}],[0.5',731,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',768,'778',731,'278',761,'krn:{"63":0.111,"33":0.111},lig:{"39":34}}],[0.389',',0.75,0.25],[0.','389',776,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',',0.194],[0.','333',759,'lig:{"45":','123}}],[',781,'],[0.5',776,'5,0.644','],[0.5,0.644],[0.5,0.','644',791,'644',791,'644',791,'644],[0.5,0.644],[0.278',739,'278',741,'278,0.5',782,'778',',0.367,-0.133],[','0.472,0.5',782,'472',761,762,'62}}],[0.778',731,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',816,'79',816,'71',816,'85',816,'81',816,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',707,'722',707,'764',814,'88',816,'87',816,'65',816,'86',816,'89":-','0.0278}}],[0.','681',707,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',707,'75',707,'361',814,'73":',843,'514',707,'778',814,'79',816,'67',816,'71',816,'81":-',843,'625',814,827,'917',707,'75',707,'778',814,'88',816,'87',816,'65',816,'86',816,'89":-',843,'681',814,'65','":-0.0833,"','111',816,'101',816,'97',816,'46',891,'44":-0.','0833}}],[0.','778,0.683',782,'736',814,'116',816,'67',816,'79',816,'71',816,'85',816,'81',816,827,'556',707,'722',814,'121',816,'101',891,'111',891,'114',891,'97',891,'65',891,'117":-0.',901,'75',707,'75',',0.683,0,{ic:0.','0139,',848,'1.03',940,'0139,',848,'0.75',814,'79',816,'67',816,'71',816,'81":-',843,'75',940,'025,krn:{"101',891,'111',891,'114',891,'97',891,'65',891,935,901,'611',707,'278',776,'5',731,'278',776,'5',731,'278,0.668],[0.','278',761,762,'92}}],[0.5',759,'krn:{"118',816,'106":0.0556,"121',816,'119":-',843,'556,0.','694,0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',759,'krn:{"104',816,'107":-',843,'556',731,'444',739,'306',729,'12,"102":11,"108":13}}],[0.5',',0.431,0.194,{','ic:0.','0139,krn:{"','106":',843,'556',761,'krn:{"116',816,'117',816,'98',816,'121',816,'118',816,'119":-',843,981,'306,0.668',782,'528',761,'krn:{"97','":-0.0556,"','101',816,'97',816,'111',816,'99":-',843,'278',731,'833',759,'krn:{"116',816,'117',816,'98',816,'121',816,'118',816,'119":-',843,'556',759,'krn:{"116',816,'117',816,'98',816,'121',816,'118',816,'119":-',843,'5,0.431,0',995,993,'431,0.194',995,'528',741,'392',739,'394',739,'389,0.615,0,{krn:{"121',816,'119":-',843,'556',759,'krn:{"119":-',843,'528',',0.431,0,{ic:0.',1011,'97',1034,'101',816,'97',816,'111',816,'99":-',843,'722',1093,1011,'101',816,'97',816,'111',816,'99":-',843,'528',739,'528',1009,'ic:0.',1011,'111',816,'101',816,'97',816,'46',891,'44":-0.',901,'444',739,'5',1093,'0278,',785,'124}}],[1',1093,'0278}],[0.','5',731,'5,0.668],[0.5,0.668]],',78,':[[0.615',940,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',901,'833',814,'127":0.167}}],[0.','763',940,1136,'krn:{"127":0.0833}}],[0.','694',814,1152,'742',940,'0757,',1156,'831',940,'0812,krn:{"61',1034,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',940,'0576,',1156,'583',940,'139',1148,1169,'667',847,1156,'612',940,'11,krn:{"61',1034,1168,1169,'772',940,'0502,',1156,'64',1093,'0037,','krn:{"127":',843,'566',',0.694,0.194,{ic:0.','0528,',1156,'518',1009,'ic:0.0556','}],[0.444',761,'ic:0.0378,krn:{"',1168,1169,'406',759,'krn:{"127":0.0556}}],[0.','438',1198,'0738,',1156,'497',1009,'ic:0.0359',',',1211,'469',761,'ic:0.',1136,1156,'354',759,1211,'576',739,'583',731,'603',1009,1195,843,'494',1093,'0637,krn:{"',1168,'0278}}],[0.','438',1198,'046,',1195,'0.111}}],[0.','57',1093,'0359}],[0.','517',1009,1156,'571',1093,'0359,krn:{"59',1034,'58":-0.',1169,'437',1093,'113,krn:{"',1168,1241,'54',1093,'0359,',1195,843,'596,0.694,0.194,{',1156,'626',1009,1211,'651',1198,'0359,',1195,1246,'622',1093,1249,'466',759,1156,'591',761,1156,'828',1093,1140,'517',1009,1156,'363,0.431,0.0972,{ic:0.0799,',1156,'654',1009,1195,'0.0833}}],[1',805,'1',805,'1',805,'1',805,'0.278',',0.464,-0.0363],[','0.278',1308,'0.5,0.465,-0.0347],[',1311,'0.5',739,'5',739,'5',739,'5',741,'5',741,'5,0.',1076,791,1076,791,'431',782,'278,0.106],[',781,782,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',1034,'65',1034,'77',1034,'78',1034,'89":0.0556,"90":-0.',1169,'778',1334,1311,'0.531',761,1203,',',1156,'75',814,'127":','0.','139}}],[0.','759',940,'0502,',1156,'715',940,'0715,krn:{"61',816,1168,901,'828',940,1136,1211,'738',940,'0576,',1156,'643',940,'139',1148,901,'786',847,1156,'831',940,'0812,krn:{"61',1034,1168,1169,'44',940,'0785,',1195,1246,'555',940,'0962',1148,'167}}],[0.','849',940,'0715,krn:{"61',1034,1168,1169,'681',814,1355,843,'97',940,'109,krn:{"','61',1034,1168,901,'803',940,1412,'61',891,'61',816,1168,901,'763',940,1136,1156,'642',940,'139',1148,901,'791,0.683,0.194,{',1156,'759',940,'00773,',1156,'613',940,'0576,krn:{"61',1034,1168,901,'584',940,'139,krn:{"61',816,1168,901,'683',940,1412,'59":-0.111,"',1257,'111,"61',1034,1355,843,'583',940,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',940,'139',1465,'828',940,'0785,krn:{"61',891,'61',816,1168,901,'581',940,'222',1465,'683',940,'0715,krn:{"61',1034,1168,901,'389,0.75],[0.389',766,'0.389',766,'1,0.358,-0.142],[',1492,'0.417',761,1195,1246,'529',739,'429',731,'433',759,1211,'52',761,'krn:{"89":0.0556,"90',1034,'106":-0.111,"102":-0.167,"',1152,'466',759,1211,'49',1198,'108,krn:{"',1168,1399,'477',1009,1218,',',1195,843,'576',761,'krn:{"127":-',843,'345,0.66],[0.412,0.66,0.194,{ic:0.0572,krn:{"59',1034,1257,1169,'521',761,'ic:0.0315}],[0.298',761,'ic:0.0197,',1156,'878',739,'6',739,'485',759,1211,'503',1009,1156,'446',1009,1218,',',1156,'451',1093,1136,'krn:{"',1168,1169,'469',759,1211,'361,0.615,0,{',1156,'572',759,1195,843,'485',1093,'0359,',1195,843,'716',1093,'0269,',1156,'572',759,1195,843,'49',1009,1218,',',1211,'465',1093,'044,',1211,'322',759,1195,843,'384',1009,1156,'636',1009,1195,1246,'5,0.714,0,{ic:0.154}],[0.278',761,'ic:0.399}]],',84,':[[',780,'0.278,0.444,-0.0556],[',780,1311,780,'0.5,0.444,-0.0556],[',780,780,780,780,780,780,780,'1',766,1612,1612,'0.778',1308,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1627,1627,1627,1627,1627,'],[0.778',805,'0.778,0.483,-0.0169],[0.778',1334,'0.778',1334,'1',1334,'1',1334,'0.778',1334,'0.778',1334,'1',805,'1',805,'0.5',766,'0.5',766,'1',805,'1',766,'1',766,'0.778',1308,'1',805,'1',805,'0.611',766,'0.611',766,'1',805,'1',766,'1',766,'0.778',739,'275,0.556],[1',739,'667',1334,'0.667',1334,'0.889',766,'0.889',766,'0',766,'0',805,'0.556',731,'556',731,'667',739,'5',768,'722',731,'722',731,'778',731,'778',731,'611',731,'798',814,'48":0.','194}}],[0.657',940,'0304',',krn:{"48":0.',1357,'527',940,'0583',1717,1357,'771',940,'0278',1717,901,'528',940,'0894',1717,'111}}],[0.','719',940,'0993',1717,1733,'595',',0.683,0.0972,{ic:0.','0593',1717,1733,'845',940,'00965',1717,1733,'545',940,'0738,krn:{"48":',843,'678',1740,'185',1717,1399,'762',940,'0144',1717,1169,'69',814,1713,'139}}],[1.2',814,1713,1357,'82',940,'147',1717,901,'796',940,1726,1717,1733,'696',940,'0822',1717,901,'817,0.683,0.0972,{krn:{"48":',1246,'848',814,1713,901,'606',940,'075',1717,1357,'545',940,'254,krn:{"48":',843,'626',940,'0993',1717,901,'613',940,'0822,krn:{"48":',843,'988',940,'0822',1717,901,'713',940,'146',1717,1357,'668',1740,'0822',1717,901,'725',940,'0794',1717,1357,'667,0.556],[0.',1829,1829,1829,1829,'611',731,'611',731,'444',776,'444',776,'444',776,'444',776,'5',776,'5',776,'389',776,'389',776,'278',776,'5',776,'5',776,'611',776,'5',776,'278',766,'0.833,0.04,0.96],[0.75',707,'833',707,'417',1198,'111}],[0.',1829,'667,0.556',1627,1627,'],[0.444',766,'0.444',766,'0.444',766,'0.611',766,'0.778,0.694,0.13','],[',1885,'],[',1885,'],[',1885,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1893,'17}],[0.417',1893,'104}],[0.417',1893,'105','}],[0.472,0.04,1.16,{n:','106',1901,'107',1901,'108',1901,'109}],[0.583',1893,'110}],[0.583',1893,'111',1901,'68',1901,'69}],[0.333',',0,0.6,{delim:{rep:','12}}],[0.556',1917,'13}}],[0.578',1893,'46}],[0.578',1893,'47}],[0.597',',0.04,1.76,{n:','18}],[0.597',1925,'19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1929,'33}],[0.528',1929,'34}],[0.528',1929,'35}],[0.583',1929,'36}],[0.583',1929,'37}],[0.583',1929,'38}],[0.583',1929,'39}],[0.75',1929,'40}],[0.75',1929,'41}],[0.75',1929,'42}],[0.75',1929,'43}],[1.04',1929,'44}],[1.04',1929,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1957,'49}],[0.583',1957,'50}],[0.583',1957,'51}],[0.639',1957,'52}],[0.639',1957,'53}],[0.639',1957,'54}],[0.639',1957,'55}],[0.806',1957,'56}],[0.806',1957,'57}],[0.806',',0.04,2.96],[','0.806',1977,'1.28',1977,'1.28',1977,'0.811',1925,'30}],[0.811',1925,'31}],[0.875',',0.04,1.76,{delim:{top:','48,bot:64,rep:66}}],[0.875',1989,'49,bot:65,rep:67}}],[0.667',1989,'50,bot:52,rep:54}}],[0.667',1989,'51,bot:53,rep:55','}}],[0.667,0.04,1.76,{delim:{bot:','52,rep:54',1997,'53,rep:55','}}],[0.667,0,0.6,{delim:{top:','50,rep:54',2001,'51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',2005,'57,mid:61,bot:59,rep:62',2005,'56,bot:58,rep:62',2005,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',2013,'119}}],[0.889,0,0.3,{delim:{rep:62',2001,'120,bot:121,rep:63}}],[0.875',1989,'56,bot:59,rep:62}}],[0.875',1989,'57,bot:58,rep:62}}],[0.875',1917,'66}}],[0.875',1917,'67}}],[0.611',1925,'28}],[0.611',1925,'29','}],[0.833,0,1,{n:','71}],[1.11,0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[0.556,0,2.22,{ic:0.444}],[1.','11,0,1,{n:','75}],[1.51',',0.1,1.5],[1.',2035,'77}],[1.51',2037,2035,'79}],[1.51',2037,'06,0,1,{n:88}],[0.944,0,1,{n:89}],[',2033,'90',2031,'91',2031,'92',2031,'93',2031,'94',2031,'95}],[1.44',2037,'28,0.1,1.5],[0.556,0,2.22,{ic:0.444}],[1.11',2037,'11',2037,'11',2037,'11,0.1,1.5],[1.11,0.1,1.5],'],
  ['[0.944,0,1,{n:97}],[1.28,0.1,1.5','],[0.556,0.722,0,{n:','99','}],[1,0.75,0,{n:','100}],[1.44,0.75',1,'102',3,'103}],[1.44,0.75],[0.472',',0.04,1.76,{n:','20}],[0.472',9,'21}],[0.528',9,'22}],[0.528',9,'23}],[0.528',9,'24}],[0.528',9,'25}],[0.667',9,'26}],[0.667',9,'27','}],[1,0.04,','1.16,{n:113}],[1',9,'114',25,'2.36,{n:115',25,'2.96,{n:116}],[1.06,0,1.8,{delim:{top:118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',',0,0.6,{delim:{','top:126,','bot:127,rep:119','}}],[0.667',33,'top:120,rep:63}}],[0.667',33,'bot:121,rep:63}}],[0','.45,0.12],[0',41,41,41,'.778',33,34,'rep:119}}],[0.778',33,35,'}}]],cmti10:[[0.627',',0.683,0,{ic:0.','133}],[0.818,0.683],[0.767',52,'094}],[0.','692,0.683],[0.664',52,'153}],[0.743',52,'164}],[0.','716',52,'12}],[0.','767',52,'111}],[0.716',52,'0599}],[0.767',52,'111}],[0.716',52,'103}],[0.','613',',0.694',',0.194,{ic:0.','212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":','14,"108":15}}],[0.','562',74,75,72,'588',74,75,72,'882',74,75,72,'894',74,75,72,'307',',0.431,0,{ic:0.','0767}],[0.','332,0.431',75,'0374}],[0.511',',0.694],[0.','511',',0.694,0,{ic:0.','0969','}],[0.511,0.','628',',0,{ic:0.','083}],[0.511',102,'108',104,'562',106,72,'831',100,'46,0,0.17],[0.537',74,75,'105}],[0.','716',95,'0751','}],[0.716',95,122,104,'528,0.0972,{ic:0.0919}],[0.883',52,63,'985',52,63,'767,0.732,0.0486,{ic:0.',55,'256,0.431,0,{krn:{"108":-0.256,"76":-0.321}}],[0.307',102,'124,lig:{"96":','60}}],[0.','514',102,'0696}],[0.818',74,75,'0662}],[0.769',100,'818',',0.75,0.0556',',{ic:0.136}],[0.','767',102,'0969}],[0.307',102,'124',',krn:{"','63":0.102,"33":0.102','},lig:{"39":34}}],[0.','409',',0.75,0.25,{ic:0.','162}],[0.409',158,'0369',104,'75',106,'149}],[0.767,0.562,0.0567,{ic:0.0369','}],[0.307,0.','106',',0.194],[0.','358',95,'0283,','lig:{"45":123}}],[0.','307,0.106],[0.511',158,'162',104,'644,0',',{ic:0.136}],[0.511,0.644,0',178,178,178,'.194',178,178,178,182,178,178,148,'307',95,'0582',166,'431',75,'0582',166,'5',75,'0756}],[0.767,0.367,-0.133,{ic:0.0662',104,'5',168,'511',102,'122,lig:{"96":62}}],[0.767',102,'096}],[0.743,0.683,0,{','krn:{"110":-0.0256,"108":-0.0256,"114":-0.0256,"117":-0.0256,"109":-0.0256,"116":-0.0256,"105":-0.0256,"67":-0.0256,"79":-0.0256,"71":-0.0256,"104":-0.0256,"98":-0.0256,"85":-0.0256,"107":-0.0256,"118":-0.0256,"119":-0.0256,"81":-','0.0256,"84','":-0.0767,"','89',211,'86','":-0.102,"','87',215,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',52,72,'716',52,'145}],[0.','755',52,'094',154,'88','":-0.0256,"','87',230,'65',230,'86',230,'89','":-0.0256}}],[0.','678',52,63,'653',52,'133',154,'111',211,'101',211,'117','":-0.0767,"114":-0.0767,"97":-0.0767,"','65',215,'79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',52,'0872}],[0.743',52,60,'386',52,'158}],[0.525',52,'14}],[0.769',52,'145',154,254,'627,0.683,0,{krn:{"84',211,'89',211,'86',215,'87',215,218,'897',52,60,'743',52,60,'767',52,'094',154,'88',230,'87',230,'65',230,'86',230,'89',238,'678',52,'103',154,'65":-0.0767}}],[0.','767,0.683',75,55,'729',52,'0387,',209,'0.0256,"84',211,'89',211,'86',215,'87',215,218,'562',52,63,'716',52,'133',154,'121',211,'101',211,'111',251,'117',211,302,'743',52,60,'743',52,'184',154,'111',211,'101',211,'117',251,'65',215,254,'999',52,'184',154,302,'743',52,'158',154,254,'743',52,'194',154,'101',211,'111',251,'117',211,302,'613',52,224,'307',158,'188}],[0.514',102,'169}],[0.307',158,119,'511',102,'0665',166,'668',106,'118}],[0.307',102,137,'92}}],[0.','511',95,96,'46',102,'0631',154,218,'46',95,'0565',154,218,'511',102,'103',',krn:{"108":0.0511}}],[0.','46',95,122,154,218,'307',74,75,76,'12,"102":11,"108":13}}],[0.','46,0.431',75,'0885}],[0.','511',102,96,'307,0.655',106,'102',166,'655',75,224,'46',102,'108}],[0.','256',102,'103',408,'818',95,96,'562',95,'0767',154,'39":-0.102}}],[0.511',95,'0631',154,218,'511,0.431',75,'0631',154,218,'46,0.431',75,421,'422',95,'108',154,218,'409',95,'0821}],[0.332,0.615',106,'0949}],[0.537',95,96,'46',95,434,'664',95,'108',408,'464',95,63,'486,0.431',75,421,'409',95,'123}],[0.511',95,'0921',',lig:{"45":124}}],[1.','02',95,'0921}],[0.511',102,'122',104,'668',106,'116',104,'668',106,'105}]],cmbx10:[[0.692',',0.686],[0.','958',503,'894',503,'806',503,'767',503,'9',503,'831',503,'894',503,'831',503,'894',503,'831',503,'671',102,'109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":',77,'639',100,'639',100,'958',100,'958',100,'319',',0.444],[0.','351,0.444',168,'575',100,'575',100,'575,0.','632],[0.575',100,544,'596],[0.869',100,'511,0,0.17],[0.597',100,'831',537,'894',537,544,'542,0.0972],[1.04,0.686],[1.17',503,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378}}],[0.35',',0.694,0,{lig:{"96":',138,'603',100,'958',74,168,'575',147,'],[0.958',147,'],[0.894',100,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128',156,'447',',0.75,0.25],[0.','447',580,544,'75],[0.894,0.633,0.133],[0.','319,0.156',168,'383,0.444,0,{',172,585,'],[0.575',580,544,'644],[','0.575,0.644],[0.575,0.644],[',594,594,594,'0.',544,'644],[0.319',537,'319,0.444',168,'35,0.5',168,'894,0.391,-0.109],[0.543,0.5',168,'543',562,'62}}],[0.894',100,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',615,'79',615,'71',615,'85',615,'81',615,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',503,'831',503,'882',613,'88',615,'87',615,'65',615,'86',615,'89','":-0.0319}}],[0.','756',503,'724,0.686,0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',503,'9',503,'436',613,'73','":0.0319}}],[0.','594',503,'901',613,'79',615,'67',615,'71',615,'81',642,'692',613,626,'1.09',503,'9',503,'864',613,'88',615,'87',615,'65',615,'86',615,'89',642,'786',613,'65":-0.0958,"111',615,'101',615,'97',615,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',168,'862',613,'116',615,'67',615,'79',615,'71',615,'85',615,'81',615,626,'0.639',503,'8',613,'121',615,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',503,'869,0.686',106,'016,',646,'1.19,0.686',106,'016,',646,'0.869',613,'79',615,'67',615,'71',615,'81',642,'869,0.686',106,'0287',154,718,'703',503,'319',580,'603',100,'319',580,'575',100,'319',100,'319',562,391,'559',560,'118',615,'106":0.0639,"121',615,'119',642,'639',74,',0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',560,'104',615,'107',642,'639',100,'527',537,'351',102,526,418,544,'444',75,'016,krn:{"','106',654,'639',576,'116',615,'117',615,'98',615,'121',615,'118',615,'119',642,'319',100,'351',74,168,'607',576,'97":-0.0639,"101',615,'97',615,'111',615,'99',642,'319',100,'958',560,'116',615,'117',615,'98',615,'121',615,'118',615,'119',642,'639',560,'116',615,'117',615,'98',615,'121',615,'118',615,'119',642,544,'444,0',770,'639,0.444,0',182,770,'607,0.444',168,'474',537,'454',537,'447,0.635,0,{krn:{"121',615,'119',642,'639',560,'119',642,856,106,788,'97":-0.0639,"101',615,'97',615,'111',615,'99',642,'831,0.444',106,788,'101',615,'97',615,'111',615,'99',642,'607',537,856,75,788,'111',615,'101',615,'97',615,694,'511',537,544,'444',106,'0319',489,'15,0.444',106,'0319}],[0.575',100,'575',100,'575',74,']]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','B){for(var A in B){if(!','this.update[A',']){',924,']=[]}',924,']=',924,'].concat(B[A])}},AddFont',922,'A,B){if(!',920,'[A]){',920,'[A]={}}jsMath.Add(',920,'[A],B)},UpdateFonts',':function(){','var D=this.update;','if(!this.loaded){','return }for(var A in D){for(var B=0;B<D[A].length;B++){var C=D[A][B];if(C=="all"){for(C in ','jsMath.TeX[','A]){',944,'A][C].img','={}}}else{',944,947,'={}}}}this.update={}},BestSize',940,'var B=jsMath.em*this.factor;var A=','this.w[this.fonts[','0]];for(var C=1;C<this.fonts.length;C++){if(B<(',954,'C]]+2*A)/3){return C-1}A=',954,'C]]}return C-1},Scale',940,942,'return }this.best=this.BestSize();this.em=',920,'.w[this.fonts[this.best]];','this.scale','=(jsMath.em/this.em);','if(Math.abs(',965,'-1)<0.12){',965,'=1}},URL',922,'A,B,E){var D=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";','if(E==null','){E="def.js"}else{E="char"+E+".png"}if(B!=""){B+="/"}','return this.','root+A+D+B+E},LoadFont',922,'A){',942,'this.Init()}jsMath.Setup.Script(this.URL(A,""))},Init',940,'if(',974,'print||',974,'stayhires','){',974,'print=',974,989,';this.factor*=3;if(!','jsMath.Controls.','isLocalCookie||!jsMath.Global.isLocal){',996,'SetCookie(0)}if(','jsMath.Browser.','alphaPrintBug){',974,'alpha=0}}var B="0123456789ABCDEF";this.HexCode=[];for(var C=0;C<128;C++){var D=Math.floor(C/16);var A=C-16*D;this.HexCode[C]=B.charAt(D)+B.charAt(A)}this.loaded=1}};jsMath.HTML={Em',922,'A){var C=','5;if(A<0){C++}',967,'A)<0.000001){A=0}var B=String(A);B=B.replace(/(\\.\\d\\d\\d).+/,"$1");return B+"em"},Spacer',922,'A){if(A==0){return""}return ',1000,'msieSpaceFix+\'<','span class="spacer" style="margin-','left:\'+this.Em(','A)+\'"></span>\'},Blank',922,'B,E,G,F){var A="";var D="";if(F){D+="border-left',':"+this.Em(','B)+" solid;";if(',1000,'widthAddsBorder){B=0}}if(B==0){if(',1000,'blankWidthBug){if(',1000,'quirks','){D+="width:1px',';";A=\'<',1013,'right:-1px"></span>\'}else{if(!F',1026,';margin-right:-1px;"}}}}else{D+="width',1018,'B)+";"}if(G==null){G=0}if(E){var C=this.Em(E+G);if(F&&E*jsMath.em<=1.5){C="1.5px";E=1.5/jsMath.em}D+="height:"+C+";"}if(',1000,'mozInlineBlockBug){G=-E}if(',1000,'msieBorderBug&&!F){G-=jsMath.d}if(G){D+="','vertical-align:"+','this.Em(-G)}return A+\'<span class="blank" ','style="\'+','D+\'"></span>\'},Rule',922,'A,B){if(B==null){B','=jsMath.TeX.default_rule_thickness}',978,'Blank(A,B,0,1)},Class',922,'A,B){return\'<span class="\'+A','+\'">\'+B+"</span','>"},Place',922,'B,A,D){',967,'A)<0.0001){A=0}',967,'D)<0.0001){D=0}if(A||D){var C=\'<','span style="position',': relative',';\';if(A){C+=" margin-left',1018,'A)+";"}if(D){C+=" top:"+this.Em(-D)+";"}B=C',1049,'>"}return B},PlaceSeparateSkips',922,'E',',G,F,I,A,H){if(Math.abs(G)<0.0001){G=0}if(Math.abs(F)<0.0001){F=0}','if(F){','var D=0;var C=0;var ','B="";if(I!=null){C=A-H;D=I;B=" width',1018,'A-I)+";"}E=','this.Spacer','(D-C)+\'<',1057,1058,'; top:\'+this.Em(-F)+";left',1018,'C',')+";"+B+\'">\'+',1072,'(-D)+E+',1072,'(C)+"</span>"}if(G){E=',1072,'(G)+E}return E},PlaceAbsolute',922,'D',1066,'var C="";var E="";var B="";if(',1000,'msieRelativeClipBug&&I!=null){C=',1072,'(-I);G+=I;E=',1072,'(A-H)}if(',1000,'operaAbsoluteWidthBug){B=" width: "+this.Em(H+2)}D=\'<',1057,':absolute; ',1014,'G)+"; top',1018,'F',1079,'C+D+E+"&nbsp;</span>";','return D},','Absolute',922,'B,A,C,D,E){if(E!="none"){',967,'E)<0.0001){E=0}B=\'<',1057,1099,'top:\'+','jsMath.HTML.','Em(E)+\'; left:0em;">\'+B+"&nbsp;</span>"}if(D=="none"){D=0}B+=this.Blank(A,C-D,D);if(',1000,'msieAbsoluteBug){B=\'<',1057,':relative',';">\'+B+"</span>"}B=\'<',1057,1120,';\'+',1000,'msieInlineBlockFix',1049,'>";return B}};','jsMath.Box','=function(C,E,A,B,D){if(D==null){D=jsMath.d}this.type="typeset";this.w=A;this.h=B;this.d=D;this.bh=B;this.bd=D;this.x=0;this.y=0;this.mw=0;this.Mw=A;this.html=E;this.format=C};jsMath.Add(',1129,',{defaultH:0,Null',940,'return new ',1129,'("null","",0,0,0)},Text',922,'J,I,A,K,H,G){var E=','jsMath.Typeset.AddClass(','I,J);E=','jsMath.Typeset.','AddStyle(','A,K,E);var B','=jsMath.EmBoxFor(','E);var C=',1141,'TeX(A,K);var F=((I=="cmsy10"||I=="cmex10")?B.h-C.h:C.d*B.h/C.hd);var D=new ',1129,'("text",J,B.w,B.h-F,F);D.style=A;D.size=K;D.tclass=I;if(G!=null){D.d=G*C.scale}else{D.d=0}if(H==null||H==1){D.h=0.9*C.M_height}else{D.h=1.1*C.x_height+C.scale*H}',1106,'TeX',922,'H,A,E,B){var I=',944,'A][H];','if(I.d==null){I.d=0}','if(I.h==null){I.h=','0}if(I.img!=null&&I.c!=""){this.TeXIMG(A,H,',1141,'StyleSize(E,B))}var G=',1141,'TeX(E,B).scale;var D=I.h+',944,'A].dh;var F=new ',1129,'("text",I.c,I.w*G,D*G,I.d*G);F.style=E;F.size=B;if(I.tclass){F.tclass=I.tclass;if(I.img){F.bh=I.img.bh;F.bd=I.img.bd}else{F.bh=G*jsMath.h;F.bd=G*jsMath.d}}else{F.tclass=A;F.bh=G*',944,'A].h;F.bd=G*',944,'A].d;if(',1000,'msieFontBug&&','F','.html.match(/&#/)){','F','.html+=\'<span style="display:none">x</span','>\'}}return F},TeXfallback',922,'A,D,B,L){var J=',944,'D][A];if(!J.tclass){J.tclass=D}if(J.img!=null){',978,'TeXnonfallback(A,D,B,L)}if(J.h!=null&&J.a==null){J.a=J.h-1.1*jsMath.TeX.x_height}var K=J.a;var I=J.d;var H=this.Text(J.c,J.tclass,B,L,K,I);var E=',1141,'TeX(B,L).scale;if(J.bh!=null){H.bh=J.bh*E;H.bd=J.bd*E}else{var G=H.bd+H.bh;var F=',1139,'H.tclass,H.html);F=',1141,1142,'B,L,F);H.bd',1144,'F+',1115,'Blank(1,G)).h-G;H.bh=G-H.bd;if(E==1){J.bh=H.bh;J.bd=H.bd}}if(jsMath.',1172,'H',1174,'H',1176,'>\'}return H},TeXIMG',922,'E,A,R){var M=',944,'E][A];if(M.img.size!=null&&M.img.size==R&&M.img.best!=null&&M.img.best==','jsMath.Img.best','){return }var F=(',920,'.scale!=1);var B=',1205,'+R-4;if(B<0){B=0;F=1','}else{if(','B>=','jsMath.Img.fonts','.length){','B=',1213,'.length-1',';F=1}}var Q=',920,'[',1213,'[B]];var I=Q[E][A];var G=1/',920,'.w[',1213,'[B]];if(B!=',1205,'+R-4){if(M.w!=null){G=M.w/I[0]}else{G*=',1213,'[R]/',1213,'[4]*',1213,'[',1205,']/',1213,'[B]}}var N=I[0]*G;var J=I[1]*G;var L=-I[2]*G;var O;var H=(M.w==null||Math.abs(M.w-N)<0.01)?"":" margin-right:"+',1115,'Em(M.w-N)+";";var D="";A=',920,'.HexCode[A];if(!F&&!',974,'scaleImg){if(',1000,'mozImageSizeBug||2*N<J||(',1000,'msieAlphaBug&&',974,'alpha)){D="height',':"+(I[1]*',1000,'imgScale',')+"px;"}D+=" width:"+(I[0]*',1000,1253,')+"px;";O=-I[2]+"px"}else{if(',1000,'mozImageSizeBug||2*N<J||(',1000,'msieAlphaBug&&',974,1250,':"+',1115,'Em(J*',1000,1253,')+";"}D+=" width:"+',1115,'Em(N*',1000,1253,')+";";O=',1115,'Em(L)}var P=(Math.abs(L)<0.01&&!',1000,'valignBug)?"":" ',1038,'O+";";var K=',920,'.URL(E,',1213,'[B],A);if(',1000,'msieAlphaBug&&',974,'alpha){','M.c=\'<img src="\'+','jsMath.blank+\'" ',1040,1000,'msieCenterBugFix+D+P+H','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src=\'"+K+"\', sizingMethod=\'scale\');\\" />"}else{',1289,'K+\'" ',1040,1000,1293,'+\'" />\'}M.tclass="normal";M.img.bh=J+L;M.img.bd=-L;M.img.size=R;M.img.best=',1205,'},Space',922,'A){return ','new jsMath.Box("html",',1115,'Spacer(A),A,0,0)},Rule',922,'A,C){if(C','==null){C',1044,'var B=',1115,'Rule(A,C);return ',1305,'B,A,C,0)},GetChar',922,'B,',1005,944,'A][B];','if(C.img!=null){this.TeXIMG(A,B',',4)}if(C.tclass',1310,'.tclass=A}if(!C.computedW){C.w',1144,1139,'C.tclass,C.c)).w',';if(C.h',1310,'.h=',1129,'.defaultH}if(C.d',1310,'.d=0}C.computedW=1}return C},DelimBestFit',922,'E,J,D,G){if(J==0&&D==0){return null}var I;var F;D','=jsMath.TeX.fam[','D];var A=(G.charAt(1)=="S");var B=(G.charAt(0)=="S");while(J!=null){I=',944,'D][J];',1157,1129,'.defaultH}',1156,'F=I.h+I.d;if(I.delim){return[J,D,"",E]}if(A&&0.5*F>=E','){return[J,D,"','SS",0.5*F]}if(B&&0.7*F>=E',1347,'S",0.7*F]}if(F>=E||I.n==null',1347,'T",F]}J=I.n}return null},DelimExtendRelative',922,'I,T,O,V,D){var P=',944,'O][T];var N','=this.GetChar(','P.delim.','top?P','.delim.top:','P.delim.rep,O);var ','A',1357,1361,'M',1357,1358,'bot?P','.delim.bot:',1361,'E=',1139,'A.tclass,A.c);','var J=A.w;var S=A.h+A.d;var F;var B;var K;var L;var R;var Q;if(',1358,'mid){var U',1357,1358,'mid,O);Q','=Math.ceil((I-(','N.h+N.d)-(','U.h+U.d)-(M.h+M.d))/(2*(A.h+A.d',')));I=2*','Q*(A.h+A.d)+(N.h+N.d)+(','U.h+U.d)+(M.h+M.d);if(D){F=0}else{F=I/2+V}B=F;K=',1115,'Place(',1139,'N.tclass,N.c),0,F-N.h',')+',1115,1387,1139,'M.tclass,M.c),-(','N.w+M.w)/2,F-(I-M.d))+',1115,1387,1139,'U.tclass,U.c),-(M.w+U.w)/2,F-(I+U.h-U.d)/2);L=(J-U','.w)/2;if(Math.abs(L)<0.0001){L=0}if(L){K+=jsMath.HTML.Spacer(L)}F-=N.h+N.d+A.h;for(R=0;R<Q;R++){K+=jsMath.HTML.Place(E,-J,F-R*S)}','F-=I/2-A.h/2;for(R=0;R<Q;R++){K+=',1115,1387,'E,-J,F-R*S)}}else{Q',1380,1381,'M.h+M.d))/(A.h+A.d));if(N.h+N.d<0.9*(A.h+A.d)){Q=Math.max(1,Q)}I=',1384,'M.h+M.d);if(D){F=0}else{F=I/2+V}B=F;K=',1115,1387,1139,1389,');L=(J-N',1400,'K+=',1115,1387,1139,1394,'J+M.w)/2,B-(I-M.d))}if(D){S=N.h}else{S=I/2+V}var G=',1305,'K,A.w,S,I-S);G.bh=',944,'O].h;G.bd=',944,'O].d;return G},DelimExtendAbsolute',922,'I,S,M,U,B){var R=',944,'M];var N=R[S];var J;var L',1357,'N.delim.top?N',1360,'N.delim.rep,M);var ','A',1357,1435,'K',1357,'N.delim.bot?N',1369,1435,'O;var Q;var E;var D;var P;if(N.delim.mid){var T',1357,'N.delim.mid,M);O',1380,'L.h+L.d)-(','T.h+T.d-0.05',')-(','K.h+K.d-0.05','))/(2*(','A.h+A.d-0.05',1383,'O*(A.h+A.d-0.05)+(L.h+L.d)+(',1449,')+(',1451,');J=','jsMath.HTML.PlaceAbsolute(',1139,'L.tclass,L.c),0,0);Q=',1453,';E=L.d-0.05+A.h;D=',1139,'M,A.c);for(P=0;P<O;P++){J+=',1460,'D,0,E+P*Q)}J+=',1460,1139,'T.tclass,T.c),0,E+O*Q-A.h+T.h);E+=O*Q+',1449,';for(P=0;P<O;P++){J+=',1460,'D,0,E+P*Q)}J+=',1460,1139,'K.tclass,K.c),0,E+O*Q-A.h+K.h)}','else{O',1380,1448,1451,'))/(',1453,'));I=',1455,1451,');J=',1460,1139,'L.tclass,L.c),0,0);Q=',1453,';E=L.d-0.05+A.h;D=',1139,1373,'for(P=0;P<O;P++){J+=',1460,'D,0,E+P*Q)}J+=',1460,1139,1478,'var G=L.w;if(B){Q=L.h;E=0}else{Q=I/2+U;E=Q-L.h}J=',1115,1107,'(J,G,R.h,"none",-E);var F=',1305,'J,A.w,Q,I-Q);F.bh=',944,'M].h;F.bd=',944,'M].d;return F},Delimiter',922,'B,I,C,G){var A=4;var F=',1141,'TeX(C,A);if(!I','){return this.Space(F.nulldelimiterspace)}','var ','E=this.DelimBestFit(B,I[','2],I[1],C);',976,'||E[3]<B){',1518,'4],I[3],C)}',976,1516,'if(E[2]==""){',978,'DelimExtend(B,E[0],E[1],F.axis_height,G)}var D=',1129,'.TeX(E[0],E[1],E[2],A).Styled();if(G){D.y=-',944,'E[1]].dh*F.scale}else{D.y=-((D.h+D.d)/2-D.d-F.axis_height)}',967,'D.y)<0.0001){D.y=0}if(D.y){D=',1129,'.SetList([D],E[2],A)}',1106,'GetCharCode',922,'B){var A',1338,'B[0]];var D=',944,'A];var C=D[B[1]];',1322,'[1],4)}if(C.w',1310,'.w',1144,1139,1328,'}if(C.font',1310,'.font=A}return C},AddClass',922,'B,C,A){if(B==null){B=A}return ',1139,'B,C)},LayoutRelative',922,'V,f,Y,I,J,N,c,X){if(Y==null){Y=[]}if(I==null){I=[]}if(J==null){J=[]}if(c==null){c=1}','if(X==null){X=1}','var k=jsMath.sizes[V]/100;var G=[];var T=[];var U=[];var E=-1000;var F=E;var K=E;var a;var Z;var M',';for(a=0;a<f.length;a++){','if(J[a]==null){J[a]=0}M=f[a];T[a]=c*jsMath.h*k;U[a]=c*jsMath.d*k;for(Z=0;Z<M.length;Z++){M[Z]=M[Z','].Remeasured();if(','M[Z].h>T[a]){T[a]=M[Z].h}if(M[Z].d>U[a]){U[a]=M[Z].d}if(Z>=G',1214,'G[Z]=M[Z].w',1211,'M[Z].w>G[Z]){',1568,'}}if(M[Z].bh>F){F=M[Z].bh}if(M[Z].bd>K){K=M[Z].bd}}}if(J[f','.length]==null){','J[f.length]=0}if(F==E){F=0}if(K==E){K=0}var A=c','*(jsMath.hd-0.01)*','k;var S=(N||1)*k/6;var R="";var L=0;var e=0;var Q;var b;var O;var P;var C;var B;for(Z=0;Z<G.length;Z++){C=[];O=-T[0]-J[0];L=0',1563,'B=f[a][Z','];if(B&&B.format!="null"){if(','Y[Z]=="l"){Q=0',1211,'Y[Z]=="r"){Q=G[Z]-B.w}else{Q=(G[Z]-B.w)/2}}B.x=Q-L;L=B.w+Q;B.y=O;C[C.length]=B}if(a+1<f',1214,'O-=Math.max(A,U[a]+T[a+1])+S+J[a+1]}}if(I[Z]==null){I[Z]=k}if(C.length>0){P=',1129,'.SetList(C,"T",V);R+=',1115,1387,'P.html,e,0);e=G[Z]-P.w+I[Z]}else{e+=I[Z]}}Q=-I[G',1217,'];O=(T',1217,')*S+J[0];for(a=0;a<G.length;a++){Q+=G[a]+I[a]}for(a=0;a<T.length;a++){O','+=Math.max(A,','T[a]+U[a])+J[a+1]}b=O','/2+jsMath.TeX.axis_height;var ','g=O-b;R+=',1115,'Spacer(e-I[G',1217,']+X*k/6);R=',1115,1387,'R,X*k/6,b);P=',1305,'R,Q+X*k/3,b,g);P.bh=F;P.bd=K;return P},LayoutAbsolute',922,'R,Z,U,E,F,I,X,S){if(U==null){U=[]}',976,'){E=[]}if(F==null){F=[]}',1561,'if(S==null){S=1}var b=jsMath.sizes[R]/100;var A=X',1575,'b;var N=(I||1)*b/6;var C=[];var O=[];var Q=[];var P=0;var Y;var L;var J;var V;var T;var G;','for(V=0;V<Z.length;V++){','if(F[V]==null){F[V]=0}G=Z[V];O[V]=X*jsMath.h*b;Q[V]=X*jsMath.d*b;for(T=0;T<G.length;T++){G[T]=G[T',1565,'G[T].h>O[V]){O[V]=G[T].h}if(G[T].d>Q[V]){Q[V]=G[T].d}if(T>=C',1214,'C[T]=G[T].w',1211,'G[T].w>C[T]){',1620,'}}}}if(F[Z',1573,'F[Z.length]=0}J=(O',1217,')*N+F[0];for(V=0;V<O.length;V++){J',1594,'O[V]+Q[V])+F[V+1]}Y=J',1596,'a=J-Y;var M="";var B;P=S*b/6;for(T=0;T<C.length;T++){J=O[0]-Y+F[0];',1615,'B=Z[V][T',1579,'U[T]&&U[T]=="','l"){L=0',1211,1636,'r"){L=C[T]-B.w}else{L=(C[T]-B.w)/2}}M+=',1460,'B.html,P+L,J-Math.max(0,B.bh-jsMath.h*b),B.mw,B.Mw,B.w)}if(V+1<Z',1214,'J',1594,'Q[V]+O[V+1])+N+F[V+1]}}if(E[T]==null){E[T]=b}P+=C[T]+E[T]}P=-E[C',1217,']+S*b/3;for(V=0;V<C.length;V++){P+=C[V]+E[V]}M=',1115,'Spacer(S*b/6',')+M+',1115,1650,');if(',1000,'spanHeightVaries){J=Y-jsMath.h}else{J=0}M=',1115,1107,'(M,P,Y+a,a,J);var K=',1305,'M,P+S*b/3,Y,a);return K},InternalMath',922,'G,I){if(!jsMath.safeHBoxes){G=G.replace(/@\\(([^)]*)\\)/g,"<$1>")}if(!G.match(/\\$|\\\\\\(/)){',978,'Text(this.safeHTML(G),"normal","T",I).Styled()}',1068,'F;var E="";var A=[];var B,H;while(D<G',1214,'F=G.charAt(D++);if(F','=="$"){if(E=="$"){','B=jsMath.Parse(G.slice(C,D-','1','),null,I);if(B.error){A[A.length]=this.Text(B.error,"error","T",I,1,0.2)}else{B.Atomize();A[A.length]=B.mlist.Typeset("T",I).Styled()}E="";C=D','}else{','H=this.safeHTML(this.slice(C',',D-1','));A[A.length]=this.Text(H,"normal","T",I,1,0.2);','E="$";C=D}}else{if(F=="\\\\"){',1669,'=="("&&E==""){',1675,',D-2',1677,'E=")";C=D',1211,'F==")"&&E==")"){',1671,'2',1673,'}}}}}',1675,1677,978,'SetList(A,"T",I)'],
  ['},safeHTML',':function(','A){if(','jsMath.','safeHBoxes){A=A.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;")}','return ','A},Set',1,'C,B,A',',D){if(','C&&C.type){if(C','.type=="','typeset"){',5,'C}if(C',11,'mlist"){','C.mlist.','Atomize','(B,A);',5,17,'Typeset','(B,A)}if(C',11,'text"){C=this.Text(C.text,C.tclass,B,A,C.ascend||null,C.descend||null);if(D!=0){C','.Styled()}',5,'C}C=this','.TeX(','C.c,C.font,B,A);if(D!=0){C',26,5,'C}',5,3,'Box.Null','()},SetList',1,'D,F,C){var A=[];var G;','for(var B=0;B<','D.length;B++){G=D[B];if(G',11,12,'G=',3,'mItem','.',22,'(G)}','A[A.length]=','G}','var E=','new ',3,22,'(A);',5,'E.',22,'(F,C)}});',3,'Package(',3,'Box,{Styled',':function(){','if(this.','format=="text"){','this.html','=',3,22,'.AddClass(','this.tclass',',',68,');',68,'=',3,22,'.AddStyle(','this.style',',this.size,',68,');delete ',73,';delete ',82,';this.format="html"}',5,'this},','Remeasured',65,66,'w>0){this.w=',3,'EmBoxFor(',68,').w}',5,'this}});',3,46,'=function(A',',B','){this.type','=A;',3,'Add(','this,B)};',3,109,3,46,',{Atom',1,'B,A){',5,'new ',3,46,'(B,{','atom:1,nuc:A})},','TextAtom',1,'C,F,B,A,E','){var D=','new ',3,46,'(C',',{atom:1,nuc:{type:"','text",text:F,tclass:B}});if(A','!=null){D.nuc.','ascend=A}if(E',134,'descend=E}',5,'D},TeXAtom',1,'B,','C,A){',5,'new ',3,46,'(B',132,'TeX",c:C,font:A}})},Fraction',1,'B,A,F,D,E,C){',5,'new ',3,46,'("fraction",{from:B,num:A,den:F,','thickness',':D,left:E,right:C})},Space',1,'A){',5,'new ',3,46,'("space",{w:A})},',22,1,'A){',5,'new ',3,46,'("ord",{',123,'HTML',1,'A){',5,'new ',3,46,'("html",{html:A})}});',3,'mList','=function(D,A,B,C){','if(D){','this.mlist','=D}else{',187,'=[]}','if(C==null){C','="T"}if(B==null){B=4}','this.data','={openI:null,overI:null,overF:null,font:A,','size:B,style:C','};this.init={',195,'}};',3,'Package(',3,184,',{Add',1,'A){return(',187,'[','this.mlist.length',']=A)},Get',1,'A){',5,187,'[A]},Length',65,5,208,'},Last',65,'if(',208,'==0){',5,'null}',5,187,'[',208,'-1]},Range',1,'B,',2,'A==null){A=',208,'}',5,'new ',3,184,'(',187,'.slice(B,A+1))},Delete',1,'D,C){',191,'=D}if(',187,'.splice){',187,'.splice(D,C-D+1)}else{var A=[];',40,208,';B++){if(B<D||B>C){',50,187,'[B]}}',187,'=A}},Open',1,'D){var C=','this.Add(','new ',3,46,'("boundary",{','data:',193,'}));var A=',193,';',193,'={};for(var B in A){',193,'[B]=A[B]}delete ',193,'.overI',87,193,'.overF;',193,'.openI','=',208,'-1;if(D!=null){C.left=D}',5,'C},Close',1,'C){if(C!=null){C=new ',3,46,265,'right:C})}var E;','var B=',193,281,';var F=',193,'.overI;var ','G=',193,279,193,'=',187,'[B].data;if(F){E=',3,46,'.Fraction(','G.name,{','type:"mlist",mlist:this.Range(','B+1,F-1)},{',310,'F)},G.',157,',G.left,G.right);if(C','){var A=','new ',3,184,'([',187,'[B],E,C]);E=',3,46,'.Atom("inner",{type:"mlist",mlist:A})}}else{var D=B+1;if(C){',261,'C);D--}E=',3,46,'.Atom((C)?"inner":"ord",{',310,'D)})}this.Delete(B,this.Length());',5,261,'E)},Over',65,293,193,298,'C=',193,279,'var A=',3,46,308,'C.name,{',310,'open+1,B-1)},{',310,'B)},C.',157,',C.left,C.right);',187,'=[A]},',18,1,244,'var A;var E="";',82,'=D;this.size=C;',40,208,';B++){A=',187,'[B];A.delta=0;if(A',11,'choice"){',187,'=this.',18,'.choice(',82,',A,B,',187,');B--}else{',66,18,'[A.type]){var F=this.',18,'[A.type];F(',82,83,'A,E,this,B)}}E=A}if(A&&A',11,'bin"){A','.type="ord"}','if(',208,'>=2&&A',11,'boundary"&&',187,'[0].type=="boundary"){this.','AddDelimiters','(D,C)}},',395,1,'A,N){var M=-10000;',52,'M;var G=M;for(var D=0;D<',208,';D++){var F=',187,'[D];if(F.atom||F',11,'box"){E','=Math.max(','E,F.nuc.h+F.nuc.y);G',408,'G,F.nuc.d-F.nuc.y)}}var C=',3,'TeX;var I=',3,22,29,'A,N).','axis_height',';var L',408,'E-I,G+I);var K',408,'Math.floor(C.integer*L/500)*C.delimiterfactor,C.integer*(2*L-C.delimitershortfall))/C.integer;',293,187,'[0];var J=',187,'[',208,'-1];B.nuc=',3,'Box.Delimiter(','K,B.left,A);J.nuc=',3,432,'K,J.right,A);B.type="open";B.atom=1',87,'B.left;J.type="close";J.atom=1',87,'J.right},',22,1,142,293,'new ',3,22,'(',187,');',5,'B.',22,'(C,A)}});',3,109,3,184,'.prototype.',18,',{style',1,'D,C,A,E,B){B.','style=A.style},size',1,463,'size=A.size},phantom',1,8,127,'A.nuc=',3,'Box.Set(','A.phantom',',C,B);if(A.h){D.',92,'();D.html=',3,'HTML.Spacer','(D.w)}else{D.html="",D.w=D.Mw=D.mw=0}if(!A.v){','D.h=D.d=0','}D.bd=D.bh=0',87,474,';A.type="box"},','smash',1,8,127,471,3,473,'A.smash',',C,B',').Remeasured();',481,87,493,485,'raise',1,8,'){',471,3,473,'A.nuc,','C,B);var D=A.raise;','A.nuc.html','=',3,'HTML.Place(',509,',0,D,A.nuc.mw,A.nuc.Mw,A.nuc.w);A.nuc.h+=D;A.nuc.d-=D;A','.type="ord";','A.atom=1},lap',1,'D,',142,52,3,473,507,'D,C',495,'var B=[E];if(A.lap=="llap"){E.x=-E.w}','else{if(A.lap=="','rlap"){B[1]=',3,'mItem.Space','(-E.w)}',527,'ulap"){E.y=E.d;E.h=E.d=0}',527,'dlap"){E.y=-E.h;E.h=E.d=0}}}}',471,3,'Box.SetList(','B,D,C);if(A.lap=="ulap"||A.lap=="dlap"){A.nuc.h=A.nuc.d=0}A.type="box";delete A.atom},bin',1,'D,B,A,E){if(E&&E.type){var C=E.type;if(C=="bin"||C=="op"||C=="rel"||C=="open"||C=="punct"||C==""||(C=="',392,'E.left!="")){A.type="ord"}}else{A',387,'jsMath.mList.prototype.Atomize.SupSub(','D,B,A)},rel',1,8,9,'D.type&&','D',11,'bin"){D',387,545,8,')},close',1,8,9,550,'D',11,'bin"){D',387,545,8,')},punct',1,8,9,550,'D',11,'bin"){D',387,545,8,')},open',1,8,'){',545,8,')},inner',1,8,'){',545,8,')},','vcenter',1,8,127,3,473,507,'C,B);',52,3,22,29,'C,B);D.y=E.',418,'-(D.h-D.d)/2;',471,'D;A',515,545,8,')},','overline',1,'D,C,A){var ','G=',3,22,29,'D,C);',52,3,473,507,3,22,'.PrimeStyle(','D),C',495,293,'G','.default_rule_thickness',296,3,'Box.Rule(E.w,B);F.x=-F.w;F.y','=E.h+3*B;',471,3,'Box.SetList([','E,F],D,C);A.nuc.','h+=B;A',515,545,'D,C,A)},','underline',1,615,'G=',3,22,29,'D,C);',52,3,473,507,3,22,627,'D),C',495,293,'G',632,296,3,635,'=-E.d-3*B-B;',471,3,639,640,'d+=B;A',515,545,644,'radical',1,'B,M,G',127,3,22,29,'B,M);var K=',3,22,627,'B);var F=',3,473,'G.nuc,K,M',495,'var L=D',632,';var C=L;if(B=="D"||B=="D\'"){C=D.x_height}var A=L+C/4;',52,3,432,'F.h+F.d+A+L,[0,2,112,3,112],B,1);if(E.d>F.h+F.d+A){A=(A+E.d-F.h-F.d)/2}E.y=F.h+A;var J=',3,'Box.Rule(','F.w,L);J.y=E.y-L/2;J.h+=3*L/2;F.x=-F.w;var I=',3,22,'.UpStyle(',3,22,705,'B));var H=',3,473,'G.root||null,I,M',495,'if(G.root){H.y=0.55*(F.h+F.d+3*L+A)-F.d;E.x',408,'H.w-(11/18)*E.w,0);J.x=(7/18)*E.w;H.x=-(H.w+J.x)}G.nuc=',3,639,'E,H,J,F],B,M);G',515,545,'B,M,G)},accent',1,'B,P,I){',52,3,22,29,'B,P);var L=',3,22,627,'B);var H=',3,473,'I.nuc,L,P);var N=H.w;var O;var J;var C=0;if(I.nuc',11,'TeX"){','J=',3,'TeX[I.nuc.font];if(J[I.nuc.c].krn&&J.skewchar){O=J[I.nuc.c].krn[J.skewchar]}C=J[I.nuc.c].ic;',191,'=0}}if(O==null){O=0}var K=I.accent[2];var D=',3,'TeX.fam[I.accent[1]];J=',3,'TeX[D];while(J[K].n&&J[J[K].n].w<=N){K=J[K].n}var M=Math.min(H.h,E.x_height);if(I.nuc',11,738,'var G=',3,46,'.Atom("ord",I.nuc);G.sup=I.sup;G.sub=I.sub;G.delta=0;',545,'B,P,G);M+=(G.nuc.h-H.h);H=I.nuc=G.nuc',87,'I.sup',87,'I.sub}var F=',3,'Box',29,'K,D,B,P);F.y=H.h-M;F.x=-H.w+O+(N-F.w)/2;if(',3,'Browser.msieAccentBug){F.html+=',3,479,'(0.1);F.w+=0.1;F.Mw+=0.1}if(J[K].ic||C){F.x+=(C-(J[K].ic||0))*E.scale}I.nuc=',3,639,'H,F],B,P);if(I.nuc.w!=H.w',316,3,530,'(H.w-I.nuc.w);I.nuc=',3,639,'I.nuc,A],B,P)}I',515,545,'B,P,I)},op',1,'D,O,J){var G=',3,22,29,'D,O);var I;J.delta=0;var N=(D','.charAt(0)=="','D");if(J.limits==null&&N){J.limits=1}if(J.nuc',11,738,293,3,'TeX[J.nuc.font][','J.nuc.c];if(N&&B.n){J.nuc.c=B.n;B=',3,794,'B.n]}I=J.nuc=',3,473,'J.nuc,D,O',');if(B.ic){J.delta=B.ic*G.scale;if(J.limits||!J.sub||',3,'Browser.msieIntegralBug','){I=J.nuc=',3,639,'I,',3,530,'(J.delta)],D,O)}}I.y=-((I.h+I.d)/2-I.d-G.',418,');if(Math.abs(I.y)<0.0001){I.y=0}}if(!I){I=J.nuc=',3,473,801,').',92,'()}if(J.limits){var F=I.w;var L=I.w;var E=[I];var K=0;var M=0;if(J.sup){var H=',3,473,'J.sup,',3,22,705,'D),O',495,'H.x=((I.w-H.w)/2+J.delta/2)-L;K=G.big_op_spacing5;F',408,'F,H.w);L+=H.x+H.w;H.y=I.h+H.d+I.y+Math.max(G.big_op_spacing1,G.big_op_spacing3-H.d);','E[E.length]=','H',87,'J.sup}if(J.sub',316,3,473,'J.sub,',3,22,'.DownStyle(','D),O',495,'A.x=((I.w-A.w)/2-J.delta/2)-L;M=G.big_op_spacing5;F',408,'F,A.w);L+=A.x+A.w;A.y=-I.d-A.h+I.y-Math.max(G.big_op_spacing2,G.big_op_spacing4-A.h);',831,'A',87,'J.sub}if(F>I.w){I.x=(F-I.w)/2;L+=I.x}if(L<F){',831,3,530,'(F-L)}J.nuc=',3,538,'E,D,O);J.nuc.h+=K;J.nuc.d+=M','}else{if(',3,804,'&&J.sub&&B&&B.ic){J.nuc=',3,639,'I,',3,'Box.Space','(-B.ic*G.scale)],D,O)}else{if(I.y){J.nuc=',3,639,'I],D,O)}}',545,'D,O,J)}},ord',1,'A,I,G,B,F,E){if(G.nuc',11,'TeX"&&!G.sup&&!G.sub',127,'F.mlist[E+1];if(D&&D.atom&&D.type&&(D',11,'ord"||D',11,'op"||D',11,'bin"||D',11,'rel"||D',11,'open"||D',11,'close"||D',11,'punct")){if(D.nuc',11,'TeX"&&D.nuc.font==G.nuc.font){G.textsymbol=1;var H=',3,'TeX[G.nuc.font][G.nuc.c].krn;H*=',3,22,29,'A,I).scale;if(H&&H[D.nuc.c]){for(var C=F.mlist.length-1;C>E;C--){F.mlist[C+1]=F.mlist[C]}F.mlist[E+1]=',3,530,'(H[D.nuc.c])}}}}',545,'A,I,G)},fraction',1,'R,N,B){var U=',3,22,29,'R,N);var L=0;if(B.',157,'!=null){L=B.',157,858,'B.from.match(/over/)){L=U',632,'}}var Q=(R',788,'D");var F=(R=="D")?"T":(R=="D\'")?"T\'":',3,22,705,'R);var P=(Q)?"T\'":',3,22,841,'R);',52,3,473,'B.num,F,N',495,'var D=',3,473,'B.den,P,N',495,'var K;var J;var I;var O;var M;var G=(Q)?U.delim1:U.delim2;var A=[',3,432,'G,B.left,R)];var S=',3,432,'G,B.right,R);if(E.w<D.w){E.x=(D.w-E.w)/2;D.x=-(E.w+E.x);I=D.w;A[1]=E;A[2]=D}else{D.x=(E.w-D.w)/2;E.x=-(D.w+D.x);I=E.w;A[1]=D;A[2]=E}if(Q){K=U.num1;J=U.denom1}else{K=(L!=0)?U.num2:U.num3;J=U.denom2}if(L==0){O=(Q)?7*U',632,':3*U',632,';M=(K-E.d',')-(D.h-J);if(M<O){','K+=(O-M)/2;J+=(O-M)/2}}else{O=(Q)?3*L:L;var T=U.',418,';M=(K-E.d)-(T+L/2);if(M<O){K+=O-M}M=(T-L/2',950,'J+=O-M}var C=',3,701,'I,L);C.x=-I;C.y=T-L/2;',50,'C}E.y=K;D.y=-J;',50,'S;B.nuc=',3,538,'A,R,N);B',515,'B.atom=1',87,'B.num',87,'B.den;',545,'R,N,B)},SupSub',1,'F,R,L){var H=',3,22,29,'F,R);var P=L.nuc;var K=L.nuc=',3,473,'L.nuc,F,R,0);if(K.format=="null"){K=L.nuc=',3,'Box.Text("","normal",F,R)}if(P',11,738,'if(!L.textsymbol){',52,3,'TeX[P.font][P.c];if(E.ic){L.delta=E.ic*H.scale;if(!L.sub){K=L.nuc=',3,639,'K,',3,866,'(L.delta)],F,R);L.delta=0}}}else{L.delta=0}}if(!L.sup&&!L.sub){return }L.nuc.Styled();var I=',3,22,841,'F);var M=',3,22,705,'F);var D=',3,22,29,'M,R).sup_drop;',293,3,22,29,'I,R).sub_drop;var O=0;var N=0;var G;if(P.type&&P.type!="text"&&P.type!="TeX"&&P.type!="null"){O=K.h-D;N=K.d+B}if(L.sub',316,3,473,'L.sub,I,R);A=',3,639,'A,',3,530,'(H.scriptspace)],F,R',')}if(!L.sup){A.y=-Math.max(N,H.sub1,A.h-(4/5)*',3,22,29,'I,R).x_height);L.nuc=',3,639,'K,A],F,R).Styled();delete L.sub;return }var J=',3,473,'L.sup,M,R);J=',3,639,'J,',3,530,1023,');if(F=="D"){G=H.sup1',858,'F','.charAt(','F','.length-1)=="\'"){','G=H.sup3}else{G=H.sup2}}O',408,'O,G,J.d+',3,22,29,'M,R).x_height/4);if(!L.sub){J.y=O;L.nuc=',3,639,'K,J],F,R',85,'L.sup;return }N',408,'N,',3,22,29,'I,R).sub2);var Q=H',632,';if((O-J.d)-(A.h-N)<4*Q){N=4*Q+A.h-(O-J.d);G=(4/5)*H.x_height-(O-J.d);if(G>0){O+=G;N-=G}}J.',92,'();A.',92,'();J.y=O;A.y=-N;J.x=L.delta;if(J.w+J.x>A.w){J.x-=A.w;L.nuc=',3,639,'K,A,J],F,R)}else{A.x-=(J.w+J.x);L.nuc=',3,639,'K,J,A],F,R)}delete L.sup',87,'L.sub}});',3,22,104,106,'="typeset";',187,'=A};',3,109,3,22,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle:{D:"S\'",T:"S\'","',1091,'\'",SS:"SS\'","',1093,'UpStyle',1,'A){',5,'this.upStyle[A]},DownStyle',1,'A){',5,'this.downStyle[A]},PrimeStyle',1,2,'A',1044,'A',1046,5,'A}',5,'A+"\'"},StyleValue',1,'B,',2,'B=="S"||B=="S\'"){',5,'0.7*A}if(B=="SS"||B=="SS\'"){',5,'0.5*A}',5,'A},StyleSize',1,'B,A){if(B=="S"||B=="S\'"){A=Math.max(0,A-2)}else{if(B=="SS"||B=="SS\'"){A=Math.max(0,A-4)}}return ','A},TeX',1,1128,3,'TeXparams[A]},AddStyle',1,8,'){if(C=="S"||C=="S\'"){B',408,'0,B-2)}else{if(C=="SS"||C=="SS\'"){B',408,'0,B-4)}}if(B!=4){A=\'<span class="size\'+B+\'">\'+A+"</span>"}',5,'A},AddClass',1,'A,B){if(A!=""&&A!="normal"){B=',3,'HTML.Class(A,B)}',5,'B}});',3,'Package(',3,22,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',1154,'punct',1156,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',1156,',bin:2,rel:3,open',1162,'}},SSsep:{ord:{op:1},op',1156,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',1,'A,D,B){if(A&&A.atom&&D.atom){var C=this.DTsep;if(B',788,'S"){C=this.SSsep}',52,'C[A.type];if(E&&E[D.type]!=null){',5,3,'TeX[this.sepW[E[D.type]]]}}',5,'0},',22,1,244,82,361,'var G=-10000;this.w=0;this.mw=0;this.Mw=0;this.h=G;this.d=G;this.bh=this.h;this.bd=this.d;this.tbuf="";this.tx=0;',73,'="";','this.cbuf','="";this.hbuf="";this.hx=0;var A=null;var F;this.x=0;','this.dx=0;',40,208,';B++){F=A;A=',187,'[B];switch(A.type){case"size":','this.FlushClassed();','this.size=A.size;','A=F;break;case"','style":',1198,'if(',82,1044,82,1046,82,'=A.style+"\'"}else{',82,'=A.style}',1200,'space":if(typeof (A.w)=="object"){if(',82,1044,'1)=="S"){A.w=0.5*A.w[0]/18',858,82,788,'S"){A.w=0.7*A.w[0]/18}else{A.w=A.w[0]/18}}}this.dx+=A.w-0;',1200,'html":',1198,'if(this.hbuf==""){this.hx=this.','x}','this.hbuf+=','A.html;A=F;break;default:if(!A.atom&&A.type!="box"){break}A.nuc.x+=this.dx+this.',1170,'(F,A,',82,');','if(A.nuc.x||A.nuc.y){','A.nuc',26,1192,'this.x=this.x+this.w;',66,'x','+A.nuc.x+A.nuc.','mw','<this.mw){this.mw=this.','x',1239,'mw}',66,'w',1239,'Mw','>this.Mw){this.Mw=this.w',1239,'Mw}this.w+=A.nuc.w+A.nuc.x;if(A.nuc.',67,'if(',73,'!=A.nuc.tclass&&',73,'!=""){','this.FlushText','()}',66,'tbuf==""&&',1190,'==""){this.tx=this.x}this.tbuf+=',509,';',73,'=A.nuc.tclass}else{',1198,1232,'this.Place(A.nuc)}',1224,'x}',1226,509,'}this.h',408,'this.h,A.nuc.h+A.nuc.y);this.bh',408,'this.bh,A.nuc.bh);this.d',408,'this.d,A.nuc.d-A.nuc.y);this.bd',408,'this.bd,A.nuc.bd);break}}',1198,66,'dx){',1226,3,479,'(this.dx);this.w+=this.dx;',66,'w',1249,'}',66,'w',1241,'w}}',66,'hbuf==""){',5,3,36,'()}',66,'h==G){this.h=0}',66,'d==G){this.d=0}',52,'new ',3,'Box("html",this.hbuf,this.w,this.h,this.d);E.bh=this.bh;E.bd=this.bd;E.mw=this.mw;E.Mw=this.Mw;',5,'E},FlushText',65,66,'tbuf','==""){return }',1190,'+=',3,22,'.AddClass(',73,',this.tbuf);this.tbuf="";',73,'=""},FlushClassed',65,1258,'();',66,'cbuf',1318,1224,'tx}',1226,3,22,'.AddStyle(',82,83,1190,');',1190,'=""},Place',1,'B){var A=\'<','span style="position: relative',';\';if(B.x){A+=" margin-left:"+',3,'HTML.Em','(B.x)+";"}if(B.y){A+=" top:"+',3,1351,'(-B.y)+";"}B.html=A+\'">\'+B.html+"</span>";','B.h+=B.y;B.d-=B.y;B.x=0;B.y=0','},PlaceSeparateSkips',1,'B){if(B.y',127,'B.Mw-B.w;var C=B.mw;var A=B.Mw-B.mw;B.html=',3,479,'(C-D)+\'<',1348,'; top:\'+',3,1351,'(-B.y)+";left:"+',3,1351,'(D)+"; width:"+',3,1351,'(A)+\';">\'+',3,479,'(-C)+B.html+',3,479,'(D)+"</span>"}if(B.x){B.html=',3,479,'(B.x)+B.html}',1356,'}});',3,'Parse',185,52,'new ',3,'Parser','(D,A,B,C);E.Parse();',5,'E};',3,1393,185,'this.string=D;this.i=0;',187,'=new ',3,184,'(null,A,B,C)};',3,'Package(',3,1393,',{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,scriptargs:/^((math|text)..|mathcal|[hm]box)$/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"~":"Tilde","^":"HandleSuperscript",_:"HandleSubscript"," ":"Space","\\01','":"Space","\\','t',1411,'r',1411,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry","#":"Hash"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],triangleright:[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],lt:[3,1,60],gt:[3,1,62],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],','leftarrow',':[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],','mapstochar',':[3,2,55],leftharpoonup:[3,1,40],leftharpoondown:[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],minuschar:[3,2,0],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0',',2,105,3,11],"\\\\','lt":[0',',2,104,3,10],"\\\\','gt":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1427,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1427,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1425,'rangle":[5',1421,'langle":[4',1423,'rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4],"\\\\lbrack":[0,0,91,3,2],"\\\\rbrack":[0,0,93,3,3]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1439,'T"],scriptstyle',1439,'S"],scriptscriptstyle',1439,'SS"],rm',':["HandleFont",','0],mit',1447,'1],oldstyle',1447,'1],cal',1447,'2],it',1447,'4],bf',1447,'6],font',':["Extension","','font"],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1461,'arctan',1461,'arg',1461,'cos',1461,'cosh',1461,'cot',1461,'coth',1461,'csc',1461,'deg',1461,'det',':"NamedOp",','dim',1461,'exp',1461,'gcd',1481,'hom',1461,'inf',1481,'ker',1461,'lg',1461,'lim',1481,'liminf',':["NamedOp",null,\'lim<span style="margin-left: \'+1/6+\'em"></span>','inf\'],limsup',1499,'sup\'],ln',1461,'log',1461,'max',1481,'min',1481,'Pr',1481,'sec',1461,'sin',1461,'sinh',1461,'sup',1481,'tan',1461,'tanh',1461,592,':["HandleAtom","',592,'"],',613,1525,613,'"],',645,1525,645,'"],over',':"HandleOver",','overwithdelims',1536,'atop',1536,'atopwithdelims',1536,'above',1536,'abovewithdelims',1536,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1548,'","[","]"],choose',1548,'","(",")"],overbrace',':["Extension","leaders"],','underbrace',1554,'overrightarrow',1554,'underrightarrow',1554,'overleftarrow',1554,'underleftarrow',1554,'overleftrightarrow',1554,'underleftrightarrow',1554,'overset',':["Extension","underset-overset"],','underset',1570,'llap',':"HandleLap",','rlap',1574,'ulap',1574,'dlap',1574,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1582,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1586,'not="],neq',1586,'not="],notin',1586,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1586,1593,'lower2mu{\\\\mathrel{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1586,'mathbin{\\\\rm mod}"],pmod',1586,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1586,'ointop\\\\nolimits"],doteq',1586,'buildrel\\\\textstyle.\\\\over="],ldots',1586,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1586,1607,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1586,1607,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1586,1607,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1586,1593,'kern-4mu}"],relbar',1586,1593,'smash-}"],Relbar',1586,'mathrel="],bowtie',1586,'mathrel\\\\triangleright\\\\joinrel\\\\mathrel\\\\triangleleft"],models',1586,'mathrel|\\\\joinrel="],mapsto',1586,1593,1419,'\\\\rightarrow}"],rightleftharpoons',1586,592,'{\\\\',1593,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\leftharpoondown}"],hookrightarrow',1586,'lhook','\\\\joinrel\\\\rightarrow','"],hookleftarrow',1586,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1586,'Relbar\\\\joinrel\\\\','Rightarrow"],','longrightarrow',1586,'relbar',1641,'"],longleftarrow',1586,1644,'relbar"],Longleftarrow',1586,'Leftarrow\\\\joinrel\\\\','Relbar"],longmapsto',1586,1593,1419,'\\\\minuschar',1641,'}"],longleftrightarrow',1586,1417,1641,'"],','Longleftrightarrow',1586,1658,1648,'iff:["Macro","\\\\;\\\\',1670,'\\\\;"],mathcal',':["Macro","{\\\\','cal #1}",1],mathrm',1677,'rm #1}",1],mathbf',1677,'bf #1}",1],','mathbb',1677,1682,'mathit',1677,'it #1}",1],textrm',1586,'mathord{\\\\hbox{#1}}",1],textit',1586,'mathord{\\\\class{','textit','}{\\\\hbox{#1}}}",1],','textbf',1586,1692,1695,1694,'pmb',1586,'rlap{#1}\\\\kern1px{#1}",1],TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace:["Spacer",1/2],quad:["Spacer",1],qquad:["Spacer",2],thinspace:["Spacer",1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1703,'ord",1.15],bigg',1703,'ord",1.45],Bigg',1703,'ord",1.75],bigl',1703,'open",0.85],Bigl',1703,'open",1.','15],biggl',1703,1714,'45],Biggl',1703,1714,'75],bigr',1703,'close",0.85],Bigr',1703,'close",1.','15],biggr',1703,1725,'45],Biggr',1703,1725,'75],bigm',1703,'rel",0.85],Bigm',1703,'rel",1.15],biggm',1703,'rel",1.45],Biggm',1703,'rel",1.75],mathord',1525,'ord"],mathop',1525,'op"],mathopen',1525,'open"],mathclose',1525,'close"],mathbin',1525,'bin"],mathrel',1525,'rel"],mathpunct',1525,'punct"],mathinner',1525,'inner"],','mathchoice',1459,1757,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1459,'fbox"],strut:"Strut",mathstrut',1586,'vphantom{(}"],phantom:["Phantom",1,1],vphantom:["Phantom",1,0],hphantom:["Phantom",0,1],smash:"Smash",acute:["Ma'],
  ['thAccent",[','7,0,','19]],grave',':["MathAccent",[',1,'18]],ddot',3,1,'127]],tilde',3,1,'126]],bar',3,1,'22]],breve',3,1,'21]],check',3,1,'20]],hat',3,1,'94]],vec',3,'0,1,126]],dot',3,1,'95]],widetilde',3,'0,3,101]],widehat',3,'0,3,98]],_',':["Replace","ord','","_","normal",-0.4,0.1]," ":["Replace","','ord","&nbsp;","normal','"],angle',33,'","&#x2220;","normal"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix','","(",")","c"],','cases:["Matrix","\\\\{",".",["l","l"],null,2],eqalign',':["Matrix",null,null,["','r","l"],[5/18],3,"D"],displaylines',41,'c"],null,3,"D"],cr:"','HandleRow','","\\\\":"',45,'",newline:"',45,'",noalign:"','HandleNoAlign','",eqalignno',41,'r","l","r"],[5/8,3],3,"D"],','leqalignno',41,54,'begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',59,'1],scriptsize',59,'2],small',59,'3],normalsize',59,'4],large',59,'5],Large',59,'6],LARGE',59,'7],huge',59,'8],Huge',59,'9],dots:["Macro","\\\\ldots"],newcommand',':["Extension","','newcommand"],','newenvironment',79,80,'def',79,80,'color',79,'HTML"],','href',79,'HTML"],"class":["','Extension','","',89,'style',79,89,'cssId',79,89,'unicode',79,89,'bbox',79,'bbox"],require:"Require","char":"Char"},','environments',':{array:"Array",matrix',':["Array",null,null,"','c"],pmatrix',':["Array',39,'bmatrix',112,'","[","]","c"],Bmatrix',112,'","\\\\{","\\\\}","c"],vmatrix',112,'","\\\\vert","\\\\vert","c"],Vmatrix',112,'","\\\\Vert","\\\\Vert","c"],cases',112,'","\\\\{",".","ll",null,2],eqnarray',110,'rcl",[5/18,5/18],3,"D"],equation:"Equation","equation*":"Equation",align',79,'AMSmath','"],"align','*":["Extension","AMSmath"],','aligned',79,128,'"],','multline',79,128,'"],"',135,130,'split',79,128,'"],gather',79,128,'"],"gather',130,'gathered',79,128,'"]},AddSpecial',':function(','A){for(var B in A){','jsMath.Parser.prototype','.special[',155,'[B]]=A[B]}},Error',153,'A){this.i=','this.string.length',';if(A','.error){this.error=A','.error}','else{if(!','this',163,'}}},nextIsSpace',':function(){','return ','this.string.charAt(this.i',').match(/[ \\n\\r\\t]/)},trimSpaces',153,'A){','if(typeof (','A)!="string"){',170,'A}',170,'A.replace(/^\\s+|\\s+$/g',',"")},','Process',153,'A){var ','C=','this.mlist.','data;','A','=jsMath.Parse(','A,C.font,C.size,C.style',');if(A','.error){this.Error(','A);','return null','}if(A.mlist.Length()==','0){',194,195,'1','){var B=','A.mlist.','Last();if(','B.atom&&B.type=="ord"&&B.nuc&&!B.sub&&!B.sup&&(B.nuc.type=="text"||B.nuc.type=="TeX")){',170,'B.nuc}}return{type:"mlist",mlist:A.mlist}},GetCommand',':function(){var ','A=/^([a-z]+|.) ?/i;var B=A.exec(','this.string.slice(this.i','));if(B){this.i+=B[1].','length;',170,'B[1]}this.i++;return" "},GetArgument',153,'B,C){while','(this.nextIsSpace()){this.i','++}','if(this.','i>=',161,'){','if(!C){','this.Error("','Missing',' argument for "+B)}',194,'}if(',171,')==this.close){',221,222,'Extra close brace','")}',194,'}if(',171,')==','this.cmd','){this.i++;','return this.','cmd+','this.GetCommand','()}if(',171,')!=this.open){',170,171,'++)}var A=++this.i;var D=1;var E="";','while(this.i<this.string.length){','E=',171,'++);if(','E','==this.cmd){this.i++}else{if(','E==this.open){D++}','else{if(','E==this.close){','if(D==0){',222,231,'");',194,'}if(--D==0){',239,'string.slice(','A,this.i-1)}}}}}',222,'Missing close brace','");',194,'},ProcessArg',153,'B){var ','A=','this.GetArgument(','B);','if(this.error){return',' null}',239,182,'(A)},ProcessScriptArg',153,'C){var A=',274,'C);',276,277,'if(A.charAt(0)==',237,200,'A.substr(1);if(B=="frac"){A+="{"+',274,'B)+"}";',276,277,'A+="{"+',274,'B)+"}";',276,' null}}else{if(B','=="sqrt"){A+="["+this.GetBrackets(B)+"]";',276,277,'A+="{"+',274,'B)+"}";',276,299,'.match(this.scriptargs)){A+="{"+',274,'B)+"}";',276,' null}}}}}',239,182,'(A)},GetDelimiter',153,'A){while',215,'++}var B=',171,');',217,'i<',161,238,'if(B','==this.cmd){','B="\\\\"+',241,'(A);',276,' null}}','if(','this.delimiter[','B]!=null){',239,'delimiter[','B]}}',222,223,' or unrecognized delimiter for "+A);',194,'},GetDimen',153,'A,D){var ','B;var C=0;if',215,'++}if(',171,')=="{"){B=',274,'A)}else{B=',208,');C=1}',239,'ParseDimen','(B,A,C,D)},',356,153,'C,B,D,E){var A=C.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!A){',222,223,' dimension or its units for "+B);',194,'}if(D){this.i+=A[0].',210,'if',215,'++}}var F=A[1]-0;if(A[4]=="px"){F/=jsMath.em','}else{if(A[4]=="','pt"){F/=10',370,'ex"){F*=','jsMath.TeX','.x_height',370,'mu"){if(E){F=F/18}else{F=[F,"mu"]}}}}}',170,'F},GetNext',169,'while',215,'++}',170,171,')},GetBrackets',153,184,'D','=this.GetNext();if(','D!="["){return""}var C=++this.i;var B=0;',248,'D=',171,251,'D=="{"){B++}',255,'D=="}"){','if(B==0){',222,231,' while looking for',' \']\'");',194,'}B--}',255,'D',253,'D=="]"){',399,239,264,'C,this.i-1)}}}}}}',222,'Couldn\'t find',' closing \']\' for argument to',' "+this.cmd','+A);',194,'},GetUpto',153,'B,C){while',215,'++}var F=this.i;var D=0;',248,'var E=',171,251,'E=="{"){D++}',255,'E=="}"){',257,222,231,402,417,'+C);',194,'}D--}',255,'E',327,'if(',208,',this.i+','5)=="begin"){D++;this.i+=4}',255,208,445,'3)=="end"){if(D>0){D--;this.i+=2}}}',257,'if(',208,445,'C.length)==C){E=',171,'+C.length);if(E.match(/[^a-z]/i)||!C.match(/[a-z]/i)){var ','A=this.',264,'F,this.i-1);this.i+=C.',210,170,'A}}}this.i++}}}}',222,415,417,'+C+" for "+B);',194,'},ProcessUpto',153,'B,C){var ',458,'GetUpto(B,C);',276,277,239,182,'(A)},GetEnd',153,'C){var A="";var B="";while(B!=C){A+=this.GetUpto("begin{"+C+"}","end");',276,277,'B=','this.GetArgument(this.cmd','+"end");',276,332,170,'A},Space',':function(){},','Prime',153,'C',200,186,202,'B==null||(!B.atom&&B','.type!="box"&&','B','.type!="frac")){','B=','this.mlist.Add(jsMath.mItem.','Atom("ord",{type:null}))}','if(B.sup){',222,'Prime causes double exponent',': use braces to clarify");return',' }var A','="";while(C=="\'"){A+=',237,'+"prime";C',390,'C=="\'"){this.i++}}B.sup=this.',182,'(A);B.sup.isPrime=1},RaiseLower',153,184,'B','=this.GetDimen(this.cmd+','A,1);',276,' }var ','C','=this.ProcessScriptArg','(',237,418,276,' }if(A=="lower"){B=-B}',186,'Add(new jsMath.mItem("','raise",{nuc:C,raise:B}))},MoveLeftRight',153,272,'A',519,'B,1);',276,522,'C','=this.ProcessArg(this.cmd+','B);',276,' }if(B=="moveleft"){A=-A}',502,'Space(A','));',502,'Atom("ord",C));',502,'Space(-A))},Require',153,184,'B=',484,418,276,' }B=','jsMath.Extension','.URL(B);if(','jsMath.Setup.','loaded[B]){','return }','this.Extension(null,[','B])},',93,153,'A,B){','jsMath.Translate','.restart=1;if(A','!=null){','delete ',155,'[B[1]||"macros"][A]}',559,'.Require(B[0],',569,'.asynchronous',');throw"restart"},Frac',153,272,'A',541,'B);',276,522,'C',541,'B);',276,' }',502,'Fraction("over",A,C))},Sqrt',153,272,'D','=this.GetBrackets(this.cmd+','B);',276,508,541,'B);',276,' }var C=jsMath.mItem.Atom("','radical",A);','if(D!=""){C.root=this.',182,'(D);',276,' }}',186,'Add(C)},','Root',153,272,'D','=this.ProcessUpto(this.cmd+','B,"of");',276,508,541,'B);',276,604,605,'C.root=D;',186,612,'BuildRel',153,184,'B',617,'A,"over");',276,522,'D',541,'A);',276,604,'op",D);C.limits=1;C.sup=B;',186,612,'MakeBig',153,345,'C=D[0];var B=D[1]*jsMath.p_height;var E','=this.GetDelimiter(this.cmd+','A);',276,' }',502,'Atom(C,','jsMath.Box.Delimiter(','B,E,"T")))},Char',153,272,'A=',484,'+B);',276,522,'C=',484,'+B);',276,' }if(!',374,'[A]){',374,'[A]=[];',564,'jsMath.Font.URL(A',')])}else{',502,'Typeset(','jsMath.Box.TeX(C-0,A,"T",',186,'data.size',')))}},Matrix',153,'B,H){var E=',186,'data;var A=',484,'+B);',276,522,'G=','new jsMath.','Parser(A','+this.cmd+"\\\\",null,','E.size,H[5]||"T");G.matrix=B;G.row=[];G.table=[];G.rspacing=[];G.Parse();if(G',192,'G);',563,'G.',45,'(',537,'var D','=jsMath.Box.','Layout(E.size,G.table,H[2]||null,H[3]||null,G.rspacing,H[4]||null);if(H[0]&&H[1]){var F=',655,'D.h+D','.d-jsMath.hd/4,this.delimiter[','H[0]],"T");var C=',655,'D.h+D',707,'H[1]],"T");D',703,'SetList([','F,D,C],E.style,E.size)}',502,'Atom((H','[0]?"inner":"ord"),','D))},HandleEntry',153,'B){','if(!this.','matrix){this.Error(B','+" can only appear in a matrix or array");return }if(',186,'data.openI',571,'var A=',186,'Get(',186,726,191,'.left){',222,223,417,'+"right','")}else{',222,267,'")}}if(',186,'data.overI',571,186,'Over()}var D=',186,187,186,'Atomize(','D.style,D.size);','var C=',186,677,752,'C.entry=D.entry;delete D.entry;if(!C.entry){C.entry={}}this.row[','this.row.length',']=C;this.mlist=',691,'mList(null,null,D.size,D.style)},',45,153,'A,C){var B;',722,'matrix){','this.Error(this.cmd+A',724,'A=="\\\\"){B',597,'A);',276,' }if(B){B=this.',356,'(B,','this.cmd+','A,0,1)}}this.HandleEntry(A);if(!C||',758,'>1||this.row[0].format!="null"){this.table[this.table.length]=this.row}if(B){','this.rspacing[this.table.length',']=B}this.row=[]},',51,153,272,'A=',484,'+B);',276,522,'C=A.replace(/^.*(vskip|vspace)([^a-z])/i,"$2");if(C.length==A','.length){',563,'var D=this.',356,'(C,',776,'RegExp.$1,0,1);',276,' }',780,']=(',780,']||0)+D},Array',153,471,'E=C[2];var I=C[3];if(!E){E=',484,'+"begin{"+B+"}");',276,' }}E=E.replace(/[^clr]/g,"");E=E.split("");var G=',186,685,'C[5]||"T";var K=this.GetEnd(B);',276,522,'F=',691,'Parser(K',693,'G.size,A);F.matrix=B;F.row=[];F.table=[];F.rspacing=[];F.Parse();if(F',192,'F);',563,'F.',45,'(',537,'var H',703,'Layout(G.size,F.table,E,I,F.rspacing,C[4],C[6],C[7]);if(C[0]&&C[1]){var D=',655,'H.h+H',707,'C[0]],"T");var J=',655,'H.h+H',707,'C[1]],"T");H',703,714,'D,H,J],G.style,G.size)}',502,'Atom((C',718,'H))},Begin',153,184,'B=',484,418,276,' }if(B.match(/[^a-z*]/i)){this.Error(\'Invalid environment name "\'+B+\'"\');',563,722,108,'[B]){this.Error(\'Unknown environment "\'+B+\'"\');',563,'var C=this.',108,'[B];',175,'C',')=="string"){','C=[C]}this[C[0]](B,C.slice(1))},End',153,184,'B=',484,418,276,' }',767,'+"{"+B+"} without matching',417,'+"begin")},Equation',153,272,458,'GetEnd(B);',276,' }','this.string=','A+',208,');this.i=0},Spacer',153,'B,A){',502,546,'-0))},Hskip',153,272,'A',519,'B);',276,' }',502,546,'))},HBox',153,184,'C=',484,418,276,522,'B',703,'InternalMath(C,',186,680,');',502,677,'B))},Rule',153,'B,E){var A',519,537,276,522,'D',519,537,276,522,'F',519,537,276,' }D+=F;var C;if(D!=0){D=Math.max(1.05/jsMath.em,D)}if(D==0||A==0||E=="blank"){C=','jsMath.HTML.','Blank(A,D)}else{C=',933,'Rule(A,D)}if(F){C=\'<span style="vertical-align:\'+',933,'Em(-F)+\'">\'+C','+"</span>"}',502,677,691,'Box("html",C,A,D-F,F)))},Strut',206,'A=',186,680,';var B',703,'Text("","normal","T",A).Styled();B.bh=B.bd=0;B.h=0.8;B.d=0.3;B.w=B.Mw=0;',502,677,'B))},Phantom',153,471,'A',541,'B);',276,' }',186,531,'phantom",{phantom:A,v:C[0],h:C[1]}))},Smash',153,471,'A',541,'B);',276,' }',186,531,'smash",{smash:A}))},MathAccent',153,'B,',184,'D',541,'B);',276,604,'accent",D);C.accent=A[0];',186,612,'NamedOp',153,'B,D){var ','A=(B.match(/[^acegm-su-z]/))?1:0;var E=(B.match(/[gjpqy]/))?0.2:0;if(D[1]){B=D[1]}var C=jsMath.mItem.','TextAtom("','op",B,',374,'.fam[0],A,E);if(D[0]!=null){C.limits=D[0]}',186,612,'Limits',153,'A,C',200,186,'Last();if(!B||B.type!="op"){',767,'+" is allowed only on operators");',563,'B.limits=C[0]},Macro',153,987,'E=D[0];if(D[1]){var A=[];for(var C=0;C<D[1];C++){A[A.length]=',484,'+B);',276,' }}E=this.','SubstituteArgs','(A,E)}',882,'this.AddArgs(','E,',208,'));this.i=0},',1012,153,'B,',184,'E="";var D="";var F;var C=0;while(C<A',791,'F=A.charAt(C++);if(F',327,'E+=F+A.charAt(C++)}',255,'F=="#"){',1025,'=="#"){E+=F}',165,'F.match(/[1-9]/)||F>B',791,222,'Illegal ','macro parameter ','reference");',194,'}D=',1015,1015,'D,E),B[F-1]);E=""}}else{E+=F}}}',239,'AddArgs(D,E)},AddArgs',153,887,'if(A.match(/^[a-z]/i)&&B.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){B+=" "}',170,'B+A},Replace',153,568,502,'TextAtom(','B[0],B[1],B[2','],B[3]))},Hash',153,'A){',222,'You can\'t use \'',1037,'character #\' in math mode")},Tilde',153,'A){',502,989,35,'"))},HandleLap',153,184,'B=this.ProcessArg();',276,558,186,531,'lap",{nuc:B,lap:A}))},HandleAtom',153,471,'A',541,'B);',276,' }',502,'Atom(C[0],A))},HandleMathCode',153,'A,B','){this.HandleTeXchar(',1055,'])},HandleTeXchar',153,'B,A,C){if(B==7&&',186,'data.font',571,'A=',186,1094,'}A=',374,'.fam[A];if(!',374,'[A]){',374,'[A]=[];',564,674,')])}else{',502,'TeXAtom(',374,'.atom[B],C,A))}},','HandleVariable',153,'A',1088,'7,1,','A.charCodeAt(0))},','HandleNumber',153,'A',1088,1,1118,'HandleOther',153,'A){',502,989,'ord",A,"normal"))},HandleComment',206,'A;',248,'A=',171,251,'A=="\\r"||A=="\\n"){return }}},HandleStyle',153,568,186,'data.style=B[0];',186,531,'style",{style:B[0]}))},HandleSize',153,568,186,680,'=B[0];',186,531,'size",{size:B[0]}))},HandleFont',153,887,186,1094,'=A[0]},HandleCS',206,'B=',241,'();',276,' }',217,'macros[B]){var A=this','.macros','[B];',175,'A',863,'A=[A]}this[A[0]](B,A.slice(1));',563,217,'mathchardef','[','B]){this.HandleMathCode(B,this.',1174,'[B]);',563,'if(',334,776,1176,337,776,'B].slice(0,3));',563,222,'Unknown control sequence \'"+',776,'B+"\'")},HandleOpen',169,186,'Open()},HandleClose',169,'if(',186,726,'==null){',222,231,'");return',508,'=',186,'Get(',186,726,');if(!A||A.left',1199,186,'Close()}else{',222,231,' or missing',417,738,1202,' }},HandleLeft',153,184,'B',649,'A);',276,' }',186,'Open(B)},HandleRight',153,272,'C',649,'B);',276,508,'=',186,'Get(',186,726,191,'&&A.left',571,186,'Close(C)}else{',222,'Extra open brace or missing',417,'+"left")}},HandleOver',153,568,'if(',186,744,571,222,'Ambiguous use of',417,418,563,186,744,'=',186,'Length();',186,'data.overF={name:A};if(B.length>0){',186,'data.overF.','left=',334,'B[0]];',186,1269,'right=',334,'B[1]]}',255,'A.match(/withdelims$/)){',186,1269,'left',649,'A);',276,' }',186,1269,'right',649,'A);',276,' }}else{',186,1269,'left=null;',186,1269,1275,'null}}if(A.match(/^above/)){',186,1269,'thickness',519,'A,1);',276,' }}else{',186,1269,'thickness=null}},HandleSuperscript',206,'A=',186,202,186,744,'==',186,'Length()){A=null}','if(A==null','||(!A.atom&&A',498,'A',500,'A=',502,503,'if(A.sup){if(A.sup.isPrime){A=',502,503,'else{',222,'Double exponent',507,' }}A.sup',524,'("superscript");',276,' }},HandleSubscript',206,'A=',186,202,186,744,'==',186,'Length()){A=null}',1320,'||(!A.atom&&A',498,'A',500,'A=',502,503,'if(A.sub){',222,'Double subscripts',507,' }A.sub',524,'("subscript");',276,' }},Parse',206,'B;',248,'B=',171,'++);',217,'mathchar[',1176,'mathchar[B])}else{',217,'special[B]){this[this',156,'B]](B)}else{',217,'letter','.test(B)){this.',1113,'(B)}else{',217,'number',1382,1119,1384,'this.',1125,'(B)}}}}}if(',186,726,571,'var A=',186,'Get(',186,726,191,'.left){',222,223,417,738,739,222,267,'")}}if(',186,744,571,186,'Over()}},Atomize',206,'A=',186,'init;',722,'error){',186,751,'A.style,A.size)}},Typeset',206,'F=',186,1419,793,'typeset=',186,677,'F.style,F.size);',276,'\'<span class="error">\'+this.error',939,'if(D.format=="null"){return""}D.Styled().Remeasured();var E=0;var C=0;if(D.bh>D.h&&','D.bh>jsMath.h+0.001){','E=1}if(D.bd>D.d&&D.bd>jsMath.d+0.001){E=1}if(D.h>jsMath.h||D.d>jsMath.d){C=1}var B=D.html;if(E){if(','jsMath.Browser.','allowAbsolute){var G=0;if(',1438,'G=jsMath.h-D.bh}B=',933,'Absolute(B,D.w,jsMath.h,0,G)}',255,1440,'valignBug){','B=\'<span style="line-height:\'+jsMath.HTML.Em(jsMath.d',')+\';">\'+B',939,165,1440,'operaLineHeightBug){var A=',933,'Em(Math.max(0,D.bd-jsMath.hd)/3);',1449,')+"; position:relative; top:"+A+"; vertical-align:"+A+\'">\'+B+"</span>"}}}C=1}if(C){B+=',933,'Blank(0,D.h+0.05,D.d+0.05)}return\'<nobr><span class="scale">\'+B+"</span></nobr>"}});',155,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{','Macro',153,184,'C=',155,1166,';C[A]=["Macro"];for(var B=1;B<arguments.',210,'B++){C[A][C[A].length]=arguments[B]}}});',559,'={safeRequire:1,Macro',153,'A,',272,'C=',155,1166,';if(B',1199,'B=A}C[A]=["',93,'",B]},LaTeX',153,'B,',184,'C=',155,'.',108,';C[B]=["Extension",','A,"',108,'"]},Font',153,887,1320,'){A=B+"10"}var C=',155,1166,1493,674,')]},MathChar',153,'C,',184,'D=',374,'.famName[C','];if(D',1199,'D=',374,'.fam.',210,374,'.fam[D]=C;',374,1511,']=D}var B=',155,'.',1174,';for(var E in A){B[E]=[A[E][0],D,A[E][1]]}},Require',153,887,217,'safeRequire&&(B.match(/\\.\\.\\/|[^-a-z0-9.\\/:_+=%~]/i)||(B.match(/:/)&&B.substr(0,jsMath.root.length)!=jsMath.root))){',561,'loaded[B]=1;',563,561,'Script(this.URL(B),A)},URL',153,'A){A=',180,',"");if(!A.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){A="extensions/"+A}if(!A.match(/\\.js$/)){A+=".js"}',170,'A}};',1463,182,153,'A){',561,'Body();','jsMath.Script.','Push(',569,',"','Asynchronous','",A)},','ProcessBeforeShowing',153,'A){',561,1547,'var B=(','jsMath.Controls.cookie.','asynch?"',1552,'":"','Synchronous','");',1548,1549,569,',B,A)},','ProcessElement',153,'A){',561,1547,1548,1549,569,',"ProcessOne",A)}});',569,'={element:[],cancel:0,Parse',153,'D,C,',184,'B=','jsMath.Global.','cache[D];if(!','B[jsMath.em',']){',1587,']={}}var F=',1587,'][C];if(!F||',184,'E',189,'C,null,null,D);E.Atomize();F=E.Typeset();if(!A){',1587,'][C]=F}}',170,'F},TextMode',153,'B,A){this.Parse("','T",B,A)},DisplayMode',153,1602,'D",B,A)},','GetElementText',153,'B){if(','B.childNodes.length','==1&&','B.childNodes[','0].nodeName==="#comment"){var A=',1612,'0].nodeValue.match(/^\\[CDATA\\[(.*)\\]\\]$/);if(A',571,170,'A[1]}}',858,'recursiveElementText','(B);B.alt=C;if(C.search("&")>=0){','C=C.replace(/&','lt;/g,"<");',1622,'gt;/g,">");',1622,'quot;/g,\'"\');',1622,'amp;/g,"&")}',170,'C},',1620,153,1609,'B.nodeValue',571,'if(B.nodeName!=="#comment"){',170,1635,'}',170,1635,'.replace(/^\\[CDATA\\[(.*)\\]\\]$/,"$1")}if(',1610,'===0){return" "}var C="";for(var A=0;A<',1610,';A++){C+=this.',1620,'(',1612,'A])}',170,'C},ResetHidden',153,'A){A.innerHTML=\'<span id="jsMath_hiddenSpan" style="position:absolute"></span>\'+',1440,'operaHiddenFix;A','.className','="";','jsMath.hidden','=A.firstChild;if(!jsMath.BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop','}jsMath.ReInit()},ConvertMath',153,'C,B,',184,'D=this.',1607,'(B);this.ResetHidden(B);if(D.match(/^\\s*\\\\nocache([^a-zA-Z])/)){A=true;D=D.replace(/\\s*\\\\nocache/,"")}D=this.Parse(C,D,A);B',1658,'="typeset";B.innerHTML=D},',1570,153,'C){this.restart=0;if(!C',1658,'.match(/(^| )math( |$)/)){return',508,'=(C',1658,'.toLowerCase','().match(/(^| )nocache( |$)/)!=null);try{var D=(C.tagName',1680,'()=="div"?"D":"T");this.ConvertMath(D,C,A);C.onclick=jsMath.Click.CheckClick;C.ondblclick=jsMath.Click.CheckDblClick}catch(E){if(C.alt',200,'C.alt;B=B.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;");C.innerHTML=B;C',1658,'="math";if(A){C',1658,'+=" nocache"}}',1662,'}},','ProcessElements',153,'B){',1548,'blocking=','1;if(B>=','this.element.length','||this.cancel){this.','ProcessComplete','();',217,'cancel){','jsMath.Message.','Set("',182,' Math: Canceled");',1704,'Clear()}',1548,1696,'0;',1548,182,'()}else{var A=',1548,'SaveQueue();','this.ProcessElement(this.element[','B]);',1548,'RestoreQueue(A);',217,'restart){',1548,1549,'this,"',1692,'",B);',1548,1696,'0;setTimeout("',1548,182,'()",',1440,'delay)}else{B++;var C=Math.floor(100*B/',1698,');','jsMath.Message.Set("Processing Math',': "+C+"%");setTimeout("',569,'.',1692,'("+B+")",',1440,'delay)}}},',1552,153,'A','){if(!jsMath.initialized){jsMath.Init()}this.element','=this.GetMathElements(','A);',1548,1696,'1;this.cancel=0;this',578,'=1;',1739,': 0%",1);setTimeout("',569,'.',1692,'(0)",',1440,'delay)},',1564,153,887,1320,1750,1751,'B);A=0}this',578,'=0;while(A<',1698,'){',1718,'A]);',217,'restart){','jsMath.Synchronize','("',569,'.',1564,'(null,"+A+")");',1548,182,'();',563,'A++}this.',1700,'(1)},ProcessOne',153,'A',1750,'=[A];this.',1564,'(null,0)},GetMathElements',153,'D){var B=[];var A;if(!D){D=','jsMath.document','}',175,'D',863,'D=',1802,'.getElementById(D)}if(!','D.getElementsByTagName','){',194,'}var C=',1810,'("div','");for(A=0;A<C.length;A++){if(C[A].className&&C[A].className.match(/(^| )math( |$)/)){if(jsMath.Browser.renameOK&&D.getElementsByName){C[A].setAttribute("name","_jsMath_")}else{B[B.length]=C[A]}}}','C=',1810,'("span',1816,'if(',1440,'renameOK','&&D','.getElementsByName','){B=D',1825,'("_jsMath_','")}',255,1660,'.sourceIndex','){B.sort(function(F,E){',170,'F',1832,'-E',1832,'})}}',170,'B},',1700,153,'C){if(',1440,1823,200,1802,1825,1828,'");for(var A=B.length-1;A>=0;A--){B[A].removeAttribute("name")}}',1662,';this.element=[];this.restart=null;',221,1739,': Done");',1704,'Clear()}',1704,'UnBlank();if(',1440,'safariImgBug&&(',1560,'font=="symbol"||',1560,'font=="image")){',217,'timeout){clearTimeout(this.timeout)}this.timeout=setTimeout("','jsMath.window.resizeBy','(-1,0); ',1869,'(1,0); ',569,'.timeout = null",2000)}},Cancel',169,569,'.cancel=1;if(',1548,'cancelTimer){',1548,'cancelLoad()}}};',1463,'ConvertTeX',153,'A){',1548,'Push(jsMath.tex2math,"',1883,1553,'ConvertTeX2',153,'A){',1548,1887,1890,1553,'ConvertLaTeX',153,'A){',1548,1887,1897,1553,'ConvertCustom',153,'A){',1548,1887,1904,1553,'CustomSearch',153,'C,B,A,D){',1548,1549,'null,function(){jsMath.tex2math.',1911,'(C,B,A,D)})},tex2math:{',1883,490,1890,490,1897,490,1904,490,1911,':function(){}}});',1781,'=',1548,'Synchronize;try{if(','window.parent','!=window&&window.jsMathAutoload){',1933,'.jsMath=jsMath;',1802,'=',1933,'.document;jsMath.window=',1933,'}}catch(err){}',1585,'Register();jsMath.Loaded();jsMath.Controls.GetCookie();',561,'Source();',1585,'Init();',1548,'Init();',561,'Fonts();if(',1802,'.body){',561,'Body()}',561,'User("onload")}};']

]);
//end = new Date().getTime();
//alert(end-start);
